Introduction

LEADTOOLS VCL consists of several packages. Each package contains one or more custom controls developed by LEAD Technologies, Inc. These packages and their contents are as follows:

LEADTOOLS VCL Main Package: The LEADTOOLS VCL Main Package contains the LEAD Main Control Module and the LEAD Imaging Common Dialog Control Module. The LEAD Main Control Module (32-bit) provides the custom controls for incorporating image compression, file format support, and image processing into your applications. LEAD Imaging Common Dialog Control Module provides custom controls for incorporating dialog boxes that combine Windows Common Dialog functionality with LEADTOOLS Imaging functionality.

LEADTOOLS VCL Additional Package: The LEADTOOLS VCL Additional Package contains the LEAD ImageList Control Module, the LEAD ThumbnailBrowser Control Module and the LEAD Screen Capture Control. The LEAD ImageList Control Module provides the custom controls for displaying and manipulating image lists. The LEAD Thumbnail Browser Control Module provides custom controls for generating thumbnails of LEAD supported images from a directory. The LEAD Screen Capture Control Module provides custom controls for performing the following captures: entire screen, active window, selected menu, menu under cursor, selected window object (button, tool bar, icon, or client area), selected area (rectangle, ellipse, triangle, polygon or freehand), wallpaper, mouse pointer, and resource stored in EXE or DLL. Options include multi-capture, Hot Keys, and time interval. Please note that the Documentation for the LEAD Screen Capture Control Module can be found in the LEADTOOLS Screen Capture VCL help file, Ltscrvcln.hlp in the LEAD\Help directory. In addition, please note that the LEADTOOLS VCL Main Package must be installed on the system in order to install the LEADTOOLS VCL Additional Package.

LEADTOOLS VCL Scanning Package: The LEADTOOLS VCL Scanning Package contains the LEAD TWAIN Control Module and the LEAD ISIS Control Module. The LEAD TWAIN Control Module provides custom controls for incorporating TWAIN scanner control into your applications. LEAD ISIS Control Module provides custom controls for incorporating ISIS scanner control into your applications. In addition, please note that the LEADTOOLS VCL Main Package must be installed on the system in order to install the LEADTOOLS VCL Scanning Package.

LEADTOOLS VCL DICOM Package: The LEADTOOLS VCL DICOM Package contains the LEAD DICOM Control Module. The LEAD DICOM Control Module provides a custom control for incorporating DICOM image file format support into your applications. The LEAD DICOM Control Module is only available in the LEADTOOLS Medical toolkits. Please note that the Documentation for the LEAD DICOM Control Module can be found in the LEADTOOLS DICOM VCL help file, Ltdicvcln.hlp in the LEAD\Help directory. In addition, please note that the LEADTOOLS VCL Main Package must be installed on the system in order to install the LEADTOOLS VCL DICOM Package.

LEADTOOLS VCL Annotation Package: The LEADTOOLS VCL Annotation Package contains the LEAD Annotation Control Module. The LEAD Annotation Control Module provides a custom control for incorporating annotation support into your applications. The LEAD Annotation Control Module is only available in the LEADTOOLS Document/Medical toolkits. Please note that the Documentation for the LEAD Annotation Control Module can be found in the LEADTOOLS Main VCL help file, Ltvcln.hlp in the LEAD\Help directory. In addition, please note that the LEADTOOLS VCL Main Package must be installed on the system in order to install the LEADTOOLS VCL Annotation Package.

This help file contains only the documentation for the properties, methods and events in the LEAD Screen Capture Control Module.

Summary of All Supported Image File Formats

Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.


Implementing Screen Capture

The Screen Capture libraries provide methods for capturing all or part of the screen into a bitmap. For a list of required DLL's, refer to Screen Capture Files To Be Included With Your Application. You can capture FullScreen, ActiveWindow, ActiveClientArea, MenuUnderCursor, WindowUnderCursor, SelectedObject, MouseCursor or Wallpaper. You can capture a particular area of the screen in any of the following shapes: Rect, Square, RoundRect, RoundSquare, Triangle, Ellipse, Circle, Polygon or FreeHand. Icon, Bitmap, and Cursor resources can be captured from 32-bit Windows EXE and DLL files. Captures can be tied to a HotKey combination, can be delayed, and can be repeated with a specified interval. By default, most capture operations are tied to the F11 key. For information concerning which capture methods use F11, refer to the individual methods.

For more information, refer to the dialog properties, methods, and events:

Properties

EnableMethodErrors | CaptureCursor
CaptureStatusCursor | CaptureHotKey
CaptureHotKeyModifiers | CaptureCancelKey
CaptureDelay | CaptureCount
CaptureInterval | CaptureInfohWnd
CaptureInfoTop | CaptureInfoLeft
CaptureInfoWidth | CaptureInfoHeight
CaptureInfoResType | CaptureInfoResIndex
CaptureInfoResourceId | CaptureInfoExeName
CaptureAreaFillPattern | CaptureAreaFillForeColor
CaptureAreaFillBackColor | CaptureAreaDrawLineStyle
CaptureAreaDrawLineColor | CaptureAreaDrawEllipseWidth
CaptureAreaDrawEllipseHeight | CaptureAreaDrawCursor
CaptureAreaTextForeColor | CaptureAreaTextBackColor
CaptureAreaInfoLeft | CaptureAreaInfoTop
CaptureAreaInfoWidth | CaptureAreaInfoHeight
CaptureAreaShowDrawCursor | CaptureAreaIncludeCursor
CaptureAreaEnableKeyboard | CaptureAreaShowOpaqueText
CaptureAreaShowCursorPosition | CaptureAreaShowAreaSize
CaptureAreaShowInfoWindow | CaptureAreaSensitiveInfoWindow
CaptureAreaBitmapWithRegion | CaptureAreaZoomFactor
CaptureObjectInvert | CaptureObjectEnableKeyboard
CaptureObjectBorderWidth | CaptureObjectSelectCursor
Bitmap | TransparentColor
CaptureAreaType | CaptureAreaUseCrossLinesCursor
ShowHelpButton property |

Methods

CaptureActiveWindow | CaptureActiveClient
CaptureFullScreen | CaptureMenuUnderCursor
CaptureSelectedObject | CaptureArea
CaptureMouseCursor | CaptureOptionDlg
CaptureAreaOptionDlg | CaptureObjectOptionDlg
CaptureEXEDlg | CaptureGetResourceCount
CaptureEXE | CaptureWallPaper
CaptureWindowUnderCursor | ResetAreaOptions
ResetObjectOptions | StopCapture
IsCaptureActive | StartCapture

Events

OnCaptureImage | OnCaptureHotKeyPressed
OnScreenDlgHelp event |


Example Programs

Note:

You can run some of the example programs on your system by clicking the appropriate buttons in online help. An error message will appear if you try to run an example program that is not on your system.

The executable files for these examples were compiled with Document/Medical capabilities of the toolkit. To get Document/Medical capabilities, you must buy a LEADTOOLS Document/Medical editions toolkit. Otherwise, if you recompile the examples, the resulting executable files will not have the Document/Medical capabilities.

C++ Builder

EXAMPLES\VCL\BUILDER\SCRDEMO contains a sample application that demonstrates most of the Screen Capture capabilities in the C++ Builder environment. You can open the project in C++ Builder; then compile and run it.

Delphi

EXAMPLES\VCL\DELPHI\SCRCAP32 contains a sample application that demonstrates most of the Screen Capture capabilities in the Delphi environment. To run the sample application, you can run the EXE file in LEAD's BIN directory.


Version History

Current version: | 14.5
Last update: | October 20, 2005

Changes from Version 14 to Version 14.5

Changes from Version 13 to Version 14

Changes from Version 12.1 to Version 13

Changes from Version 12 to Version 12.1

Changes from Version 11.5 to Version 12

Version 11 (11.5)


Changes from Version 14 to Version 14.5

Version 14.5 of the LEADTOOLS Screen Capture VCL has not changed from Version 14.


Changes from Version 13 to Version 14

Version 14 of the LEADTOOLS Screen Capture VCL has changed from Version 13 as follows:

Changed Methods:

CaptureAreaOptionDlg method takes 1 new parameter.

CaptureEXEDlg method takes 1 new parameter.

CaptureObjectOptionDlg method takes 1 new parameter.

CaptureOptionDlg method takes 1 new parameter.

The rest of this topic lists the new property, and event.

ShowHelpButton property

OnScreenDlgHelp event


Changes from Version 12.1 to Version 13

Version 13 of the LEADTOOLS Screen Capture VCL has not changed from Version 12.1.


Changes from Version 12 to Version 12.1

Version 12.1 of the LEADTOOLS Screen Capture VCL has not changed from version 12.


Changes from Version 11.5 to Version 12

Version 12 of the LEADTOOLS Screen Capture VCL has not changed from version 11.5.


Version 11.5

Version 11.5 is the first version of the LEADTOOLS Screen Capture VCL.

LEADTOOLS VCL now supports a new Screen Capture control for capturing all or part of the screen. (11.5)

The rest of this section contains the new properties, methods, and events.

Screen Capture Control (11.5)

Bitmap property

CaptureActiveClient method

CaptureActiveWindow method

CaptureArea method

CaptureAreaBitmapWithRegion property

CaptureAreaDrawCursor property

CaptureAreaDrawEllipseHeight property

CaptureAreaDrawEllipseWidth property

CaptureAreaDrawLineColor property

CaptureAreaDrawLineStyle property

CaptureAreaEnableKeyboard property

CaptureAreaFillBackColor property

CaptureAreaFillForeColor property

CaptureAreaFillPattern property

CaptureAreaIncludeCursor property

CaptureAreaInfoHeight property

CaptureAreaInfoLeft property

CaptureAreaInfoTop property

CaptureAreaInfoWidth property

CaptureAreaOptionDlg method

CaptureAreaSensitiveInfoWindow property

CaptureAreaShowAreaSize property

CaptureAreaShowCursorPosition property

CaptureAreaShowDrawCursor property

CaptureAreaShowInfoWindow property

CaptureAreaShowOpaqueText property

CaptureAreaTextBackColor property

CaptureAreaTextForeColor property

CaptureAreaType property

CaptureAreaUseCrossLinesCursor property

CaptureAreaZoomFactor property

CaptureCancelKey property

CaptureCount property

CaptureCursor property

CaptureDelay property

CaptureEXE method

CaptureEXEDlg method

CaptureFullScreen method

CaptureGetResourceCount method

CaptureHotKey property

CaptureHotKeyModifiers property

CaptureInfoExeName property

CaptureInfoHeight property

CaptureInfohWnd property

CaptureInfoLeft property

CaptureInfoResIndex property

CaptureInfoResourceID property

CaptureInfoResType property

CaptureInfoTop property

CaptureInfoWidth property

CaptureInterval property

CaptureMenuUnderCursor method

CaptureMouseCursor method

CaptureObjectBorderWidth property

CaptureObjectEnableKeyboard property

CaptureObjectInvert property

CaptureObjectOptionDlg method

CaptureObjectSelectCursor property

CaptureOptionDlg method

CaptureSelectedObject method

CaptureStatusCursor property

CaptureWallPaper method

CaptureWindowUnderCursor method

EnableMethodErrors property

IsCaptureActive method

OnCaptureHotKeyPressed event

OnCaptureImage event

ResetAreaOptions method

ResetObjectOptions method

StopCapture method

TransparentColor property


Copyright notice

Copyright Notices

©Copyright LEAD Technologies, Inc. 1991-2005. ALL RIGHTS RESERVED

Portions of the PCDLIB32.DLL, PCDLIB.DLL, LFFPX7.DLL, LFKODAK.DLL, EKFPIXJPEG140.DLL, PDC_SDK.DLL, PROFIRE.DLL, DC120V154_32.DLL, LFDCR14N.DLL, DCSPROBACK.DLL, DCSPRO3SLR.DLL, LFDCS14N.DLL, and LFKDC14N.DLL files contain material that is ©Copyright Eastman Kodak Company, 1996-2001. This software is based in part on the work of the Independent JPEG Group.

Portions of the LFCRW14N.DLL, LTCMP14.DLL, CDSDK.reg, CDSDK.dll, CDRAPCLS.dll, czs_ui.dll, deimg.dll, deImg010.dll, deImg110.dll, deImg153.dll, deimg301.dll, deimg401.dll, deImg404.dll, deimg602.dll, Deimg603.dll, DeImgd60.dll, pscAdimg.dll, pscCllct.dll, pscCStUI.dll, pscDcd.dll, pscDevUI.dll, pscDvlp.dll, Pscl2STI.dll, pscll.dll, pscParse.dll, pscSetup.dll, psdkdll.dll, psdkReg.dll, psParse.dll. file contain material that is © Canon, Inc. 2002

Portions of the LFFPX7.DLL and LFKODAK.DLL files contain material that is ©Copyright Hewlett Packard, 1996.

Portions of the OCR/ICR/OMR Features and the help file for the OCR/ICR/OMR Features are ©Copyright Scansoft, Inc. 1995-2003. ALL RIGHTS RESERVED

Portions of the Barcode Modules contain material that is ©Copyright Axtel Inc., 1999.

Portions of the LEADTOOLS PDF Plug in and the LEADTOOLS Vector Imaging Pro are ©Copyright 1996, 2000 Artifex Software Inc. All rights reserved.

File filters for decoding MrSID ® and DjVu ® formats are provided under a license from Lizardtech, Inc.

The "FlashPix" format uses Microsoft's OLE structured storage.

Portions of the DICOM help files in Medical Imaging product line are reprinted with permission from the National Electrical Manufacturers Association ©Copyright 1998 by the National Electrical Manufacturers Association. All rights including translation into other languages, reserved under the Universal Copyright Convention, the Berne Convention or the Protection of Literacy and Artistic Works, and the International and Pan American Copyright Conventions.

Portions of LEADTOOLS Data Security Add On contain software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/), including cryptographic software written by Eric Young (eay@cryptsoft.com) and by Tim Hudson (tjh@cryptsoft.com). Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com) All rights reserved. Copyright Tim Hudson 1995-1998 (tjh@cryptsoft.com) All rights reserved.

Portions of LEADTOOLS Data Security Add On contain software based on the MD5 Message Digest Algorithm developed by RSA Data Security, Inc.. Copyright (c) 1991-92 RSA Data Security, Inc. All Rights Reserved.

Portions hereof licensed under US patent 5,327,254 and foreign counterparts.

Portions of the LEADTOOLS ICC Profiles material is © Copyright 2004, International Color Consortium.

Trademarks

LEAD® and LEADTOOLS® are registered trademarks of LEAD Technologies, Inc.
Microsoft, Windows, Windows NT, Visual Basic, Visual FoxPro, and Microsoft Access are either trademarks or registered trademarks of the Microsoft Corporation.
OS/2® is a registered trademark of International Business Machines Corporation.

TextBridge®OCR is a registered trademark of Scansoft, Inc.

ISIS® is a registered trademark of Pixel Translations, Inc.

ScanAhead™ is a trademark of Pixel Translations, Inc.

FlashPix™ is a trademark of Eastman Kodak Company.

All other brand or product names used in this online help are trademarks of their respective holders.

Address and Contact Information

LEAD Technologies, Inc.
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

(704) 332-5532
FAX: (704) 372-8161
E-mail: support@leadtools.com
Technical support: (704) 372-9681 or support@leadtools.com
Home page: http://www.leadtools.com


System Files Updated

The LEADTOOLS installation procedure adds the DLL files and all of the required driver files to your WINDOWS\SYSTEM directory. For a list of these files, refer to Files To Be Included With Your Application.

In addition, the installation procedure, as noted in the remainder of this topic, updates Windows system files that are required by the LEADTOOLS example programs.

The LEADTOOLS WIN32 installation procedure adds the following Windows files to your WINDOWS\SYSTEM directory. If your system has an earlier version of any of these files, the installation procedure overwrites it with the newer version.

COMDLG32.OCX
CTL3D32.DLL
MFC40.DLL
MFC42.DLL
MSVCRT20.DLL
MSVCRT40.DLL
MSVCRT.DLL
OC30.DLL
OLE32.DLL
OLEAUT32.DLL
OLEPRO32.DLL
STDOLE2.TLB
VB40032.DLL
VEN2232.OLB

The LEADTOOLS WIN32 installation procedure adds the following Borland runtime files to your WINDOWS\SYSTEM directory. If your system has an earlier version of any of these files, the installation procedure overwrites it with the newer version.

BORLNDMM.DLL
CP3240MT.DLL
VCL35.BPL
VCLDB35.DLL
VCLDB30.DPL
VCL30.DPL
VCL40.BPL
VCLDB40.BPL


Screen Capture Files To Be Included With Your Application

The installation procedure creates a directory tree for the LEADTOOLS files, and adds the demonstration programs and online help to your desktop. You specify the root directory during installation. The following subdirectory is created:

REDIST\

Redistributable Screen Capture files.

The following table summarizes the files you must include on your distribution diskettes to support the LEADTOOLS Screen Capture functions on a 32-bit system. (\REDIST\ subdirectory contains copies of these files.)

Please note that LTKRN, LTDIS, LTEFX, LTIMG, and LTFIL are required for ALL VCL applications. For more information on LTKRN, LTDIS, LTEFX, LTIMG, LTFIL and other files for the Main VCL, refer to Files To Be Included With Your Application .

Redistributables | Explanation: | If you are using a standard release, the files to use are: | If you are using an evaluation release, the files to use are:
LT14B5MN LT14B5AD LT14B5SN LT14B5DI LT14B5AN | Borland C++ Builder 5.0 runtime files. Required for VCL applications that are built with Borland C++ Builder 5.0. LT14B5MN.BPL is the BPL file for the LEADTOOLS VCL Main Package; LT14B5AD.BPL is the BPL file for the LEADTOOLS VCL Additional Package; LT14B5SN.BPL is the BPL file for the LEADTOOLS VCL Scanning Package; LT14B5DI.BPL is the BPL file for the LEADTOOLS VCL DICOM Package; LT14B5AN.BPL is the BPL file for the LEADTOOLS VCL Annotations Package. For more information about the controls included in each package, refer to the Introduction. For information about creating and distributing applications, refer to the Borland Builder documentation. | BPL: VCL50.BPL VCLDB50.BPL VCLBDE50.BPL LT14B5MN.BPL LT14B5AD.BPL LT14B5SN.BPL LT14B5DI.BPL LT14B5AN.BPL DLL: BORLNDMM.DLL CC3250MT.DLL | BPL: VCL50.BPL VCLDB50.BPL VCLBDE50.BPL LT14B5MNe.BPL LT14B5ADe.BPL LT14B5SNe.BPL LT14B5DIe.BPL LT14B5ANe.BPL DLL: BORLNDMM.DLL CC3250MT.DLL
LT14B6MN LT14B6AD LT14B6SN LT14B6DI LT14B6AN. | Borland C++ Builder 6.0 runtime files. Required for VCL applications that are built with Borland C++ Builder 6.0. LT14B6MN.BPL is the BPL file for the LEADTOOLS VCL Main Package; LT14B6AD.BPL is the BPL file for the LEADTOOLS VCL Additional Package; LT14B6SN.BPL is the BPL file for the LEADTOOLS VCL Scanning Package; LT14B6DI.BPL is the BPL file for the LEADTOOLS VCL DICOM Package; LT14B6AN.BPL is the BPL file for the LEADTOOLS VCL Annotations Package. For more information about the controls included in each package, refer to the Introduction. For information about creating and distributing applications, refer to the Borland Builder documentation. | BPL: VCL60.BPL VCLDB60.BPL VCLBDE60.BPL LT14B6MN.BPL LT14B6AD.BPL LT14B6SN.BPL LT14B6DI.BPL LT14B6AN.BPL DLL: BORLNDMM.DLL CC3250MT.DLL | BPL: VCL60.BPL VCLDB60.BPL VCLBDE60.BPL LT14B6MNe.BPL LT14B6ADe.BPL LT14B6SNe.BPL LT14B6DIe.BPL LT14B6ANe.BPL DLL: BORLNDMM.DLL CC3250MT.DLL
LT14D6MN LT14D6AD LT14D6SN LT14D6DI LT14D6AN | Borland Delphi 6.0 runtime files. Required for VCL applications that are built with Borland Delphi 6.0 and with RTP checked. LT14D6MN.BPL is the BPL file for the LEADTOOLS VCL Main Package; LT14D6AD.BPL is the BPL file for the LEADTOOLS VCL Additional Package; LT14D6SN.BPL is the BPL file for the LEADTOOLS VCL Scanning Package; LT14D6DI.BPL is the BPL file for the LEADTOOLS VCL DICOM Package; LT14D6AN.BPL is the BPL file for the LEADTOOLS VCL Annotations Package. For more information about the controls included in each package, refer to the Introduction. For information about creating and distributing applications, refer to the Borland Delphi documentation. | BPL: VCLDB60.BPL VCL60.BPL LT14D6MN.BPL LT14D6AD.BPL LT14D6SN.BPL LT14D6DI.BPL LT14D6AN.BPL | BPL: VCLDB60.BPL VCL60.BPL LT14D6MNe.BPL LT14D6ADe.BPL LT14D6SNe.BPL LT14D6DIe.BPL LT14D6ANe.BPL
LT14D7MN LT14D7AD LT14D7SN LT14D7DI LT14D7AN | Borland Delphi 7.0 runtime files. Required for VCL applications that are built with Borland Delphi 7.0 and with RTP checked. LT14D7MN.BPL is the BPL file for the LEADTOOLS VCL Main Package; LT14D7AD.BPL is the BPL file for the LEADTOOLS VCL Additional Package; LT14D7SN.BPL is the BPL file for the LEADTOOLS VCL Scanning Package; LT14D7DI.BPL is the BPL file for the LEADTOOLS VCL DICOM Package; LT14D7AN.BPL is the BPL file for the LEADTOOLS VCL Annotations Package. For more information about the controls included in each package, refer to the Introduction. For information about creating and distributing applications, refer to the Borland Delphi documentation. | BPL: VCLDB70.BPL VCL70.BPL LT14D7MN.BPL LT14D7AD.BPL LT14D7SN.BPL LT14D7DI.BPL LT14D7AN.BPL | BPL: VCLDB70.BPL VCL70.BPL LT14D7MNe.BPL LT14D7ADe.BPL LT14D7SNe.BPL LT14D7DIe.BPL LT14D7ANe.BPL


Installation Directory

The installation procedure creates a directory tree for the LEADTOOLS files, and adds the demonstration programs and online help to your desktop. You specify the root directory during installation.

Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.

The following is a list of the subdirectories in the root directory:

BIN | Executable files for the demonstration programs.
HELP | Online help files.
IMAGES | Sample images and databases containing images.
EXAMPLES\VCL | One subdirectory for each example Delphi VCL program and another subdirectory for the same C++Builder example program.
INCLUDE | Header files, BAS files, and the ActiveX's MFC interface files for versions of Visual C++ earlier than 4.0.
LIB | Library files.
LIB\VCL\DELPHI4 | The LEADTOOLS VCL Delphi 4.0 package and unit files.
LIB\VCL\DELPHI5 | The LEADTOOLS VCL Delphi 5.0 package and unit files.
LIB\VCL\BUILDER4 | The LEADTOOLS VCL Builder 4.0 package, LIB and header files.
LIB\VCL\BUILDER5 | The LEADTOOLS VCL Builder 5.0 package, LIB and header files.
REDIST | Redistributable files. These are copies of the LEADTOOLS files and other files that you may need to distribute with your application. For exact information about required files, refer to Files To Be Included With Your Application.


Tutorial for Builder 3.0 Programmers

The following topics provide brief and simple examples to help you learn how to use the LEADTOOLS Screen Capture properties, methods, and events.

Note:

These tutorial examples are not intended to demonstrate good Builder program design. Instead, they are intended to be easy to understand and easy to test. The example programs in the EXAMPLES subdirectory are more representative of good design.

Capturing an Active Window

Capturing an Area

Capturing an Icon from an EXE

Capturing a Selected Object

Capturing Multiple Images

Miscellaneous Examples


Capturing an Active Window (Builder 3.0)

Take the following steps to start a project and to add some code that captures the active window.

1. | Start Builder 3.0.
2. | In the File menu, choose New Application.
3. | On the Builder toolbar, click the VCL tab. If you have used a LEAD VCL control before, the icon appears on the toolbar. Otherwise, refer to Installing VCL before continuing with this tutorial.
4. | Select the LEAD Main Control on the VCL toolbar and add it to the form. Size and position the control as you want it to appear at run time. Change the Name to LEAD1.
5. | Select the LEAD Screen Capture Control on the VCL toolbar and add it to the form. Change the Name to LEADScr1.
6. | Add a command button and name it as follows:
 | Name | Caption
 | CapWin | Capture Window
7. | Code the CapWinClick procedure as follows:

void __fastcall TForm1::CapWinClick(TObject *Sender)

{
LEADScr1->CaptureHotKey = VK_F11;
LEADScr1->CaptureDelay = 2000;
LEADScr1->CaptureActiveWindow();
LEAD1->Bitmap = LEADScr1->Bitmap;
}

8.

Code the main form's FormClose procedure as follows:

void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)

{
LEADScr1->StopCapture();
}

9. | Run your program to test it. Click the Capture Window command button, select the window to capture, and press F11.
10. | Save the project to use as a starting point for other tasks in the tutorial.


Capturing an Area (Builder 3.0)

Take the following steps to add code that will let you capture a triangular area.

1. | Start with the project that you created in Capturing an Active Window (Builder).
2. | Add a command button and name it as follows:
 | Name | Caption
 | CapArea | Capture Area
3. | Code the CapAreaClick procedure as follows:

void __fastcall TForm1::CapAreaClick(TObject *Sender)

{

/*set up the info window*/
LEADScr1->CaptureAreaShowInfoWindow = true;
LEADScr1->CaptureAreaInfoTop = 0;
LEADScr1->CaptureAreaInfoLeft = 0;
LEADScr1->CaptureAreaInfoHeight = 300;
LEADScr1->CaptureAreaInfoWidth = 300;

/*show area size and cursor information on an opaque background*/
LEADScr1->CaptureAreaShowAreaSize = true;
LEADScr1->CaptureAreaShowCursorPosition = true;
LEADScr1->CaptureAreaShowOpaqueText = true;

/*set text colors, fill colors, fill pattern, and line style*/
LEADScr1->CaptureAreaDrawLineColor = clBlack;
LEADScr1->CaptureAreaTextBackColor = clBlue;
LEADScr1->CaptureAreaTextForeColor = clWhite;
LEADScr1->CaptureAreaFillBackColor = clRed;
LEADScr1->CaptureAreaFillForeColor =clBlue;
LEADScr1->CaptureAreaFillPattern = bsCross; LEADScr1->CaptureAreaDrawLineStyle = psDash;

/*do not include the cursor in the image*/
LEADScr1->CaptureAreaIncludeCursor = false;

/*do not enable the keyboard*/
LEADScr1->CaptureAreaEnableKeyboard = false;

/*save a bitmap with a region*/
LEADScr1->CaptureAreaBitmapWithRegion = true;

/*make the info window sensitive to the position of the cursor*/
LEADScr1->CaptureAreaSensitiveInfoWindow = true;

/*zoom the image in the info window*/
LEADScr1->CaptureAreaZoomFactor = 2;
/*use the cross lines cursor instead of the CaptureAreaDrawCursorIndex*/
LEADScr1->CaptureAreaUseCrossLinesCursor = true;
LEADScr1->CaptureAreaShowDrawCursor = true;

/*capture a triangular area*/
LEADScr1->CaptureArea (CAPTURE_AREA_TRIANGLE);

/*assign the Screen Capture Control bitmap to the Main Control bitmap*/
LEAD1->Bitmap = LEADScr1->Bitmap;

}

4.

Run your program to test it. Click the Capture Area control button, press F11, and click and drag to select the area to capture.


Capturing an Icon from an EXE (Builder 3.0)

Take the following steps to add code that will let you capture icons from EXEs.

1. | Start with the project that you created in Capturing an Active Window (Builder).
2. | Select the LEAD Main Control on the VCL toolbar and add it to the form. Size and position the control as you want it to appear at run time. Change the Name to LEAD2.
3. | Select the LEAD Main Control on the VCL toolbar and add it to the form. Size and position the control as you want it to appear at run time. Change the Name to LEAD3.
4. | Add a command button and name it as follows:
 | Name | Caption
 | CapEXE | Capture EXE
5. | Code the CapEXEClick procedure as follows:

void __fastcall TForm1::CapExeClick(TObject *Sender)

{

int nCount = 0;

LEADScr1->CaptureGetResourceCount ("c:\\windows\\calc.exe", CAPTURE_ICON, nCount);
if ( (nCount < 1) )
ShowMessage ("No Icons.");

if ( (nCount >= 1) )
{
LEADScr1->TransparentColor = clWhite;
LEAD1->TransparentColor
  = clWhite;
LEAD1->UseTransparentColor
  = true;
/*capture by string resource id*/
/*Please note that the exe and id may ! be the same on your system.*/
/*Be sure to replace this with a valid exe name and id for your system. */
LEADScr1->CaptureEXE ("c:\\windows\\calc.exe", CAPTURE_ICON, "sc", false, false);
LEAD1->Bitmap
  = LEADScr1->Bitmap;
ShowMessage ("Wait");
}

nCount = 0;
LEADScr1->CaptureGetResourceCount ("c:\\windows\\defrag.exe", CAPTURE_ICON, nCount);
if ( (nCount < 1) )
ShowMessage ("No Icons.");

if ( (nCount >= 1) )
{
LEADScr1->TransparentColor = clWhite;
LEAD2->TransparentColor
 = clWhite;
LEAD2->UseTransparentColor
  = true;
/*now, capture by numeric resource id*/
/*Please note that the exe and id may ! be the same on your system.*/
/*Be sure to replace this with a valid exe name and id for your system. */
LEADScr1->CaptureEXE ("c:\\windows\\defrag.exe", CAPTURE_ICON, "111", true, false);
LEAD2->Bitmap
  = LEADScr1->Bitmap;
ShowMessage ("wait");
}
nCount = 0;
LEADScr1->CaptureGetResourceCount ("c:\\windows\\Charmap.exe", CAPTURE_ICON, nCount);
if ( (nCount < 1) )
ShowMessage ("No Icons.");

if ( (nCount >= 1) )
{
LEADScr1->TransparentColor = clWhite;
LEAD3->TransparentColor
  = clWhite;
LEAD3->UseTransparentColor
  = true;
/*finally, capture by resource index*/
/*Please note that the exe and id may ! be the same on your system.*/
/*Be sure to replace this with a valid exe name and id for your system. */
LEADScr1->CaptureEXE ("c:\\windows\\Charmap.exe", CAPTURE_ICON, "0", true, true);
LEAD3->Bitmap
  = LEADScr1->Bitmap;
ShowMessage ("wait");
}

}

6.

Run your program to test it.


Capturing a Selected Object (Builder 3.0)

Take the following steps to add code that will let you capture a selected object.

1. | Start with the project that you created in Capturing an Active Window (Builder).
2. | Add a command button and name it as follows:
 | Name | Caption
 | CapSelect | Capture Selected
3. | Code the CapSelectClick procedure as follows:

void __fastcall TForm1::CapSelectClick(TObject *Sender)

{

   /*display the capture selected object dialog*/
LEADScr1->CaptureObjectOptionDlg(this);
/*capture the selected object*/
LEADScr1->CaptureSelectedObject();
/*assign the screen control bitmap to the Main control bitmap*/
LEAD1->Bitmap
  = LEADScr1->Bitmap;
/*reset the object options*/
LEADScr1->ResetObjectOptions();

}

4.

Run your program to test it. Click the Capture Select button. Set the options and click OK. Select the window containing the object you want to capture. Press F11. Move the cursor over the object you wish to capture and click the left mouse button.


Capturing Multiple Images (Builder 3.0)

Take the following steps to add code that will let you capture multiple images.

1. | Start with the project that you created in Capturing an Icon from an EXE (Builder).
2. | Add two command buttons and name them as follows:
 | Name | Caption
 | CapMulti | Capture Multi
 | Display | Display Multi

3.

Code the CapMultiClick procedure as follows:

void __fastcall TForm1::CapMultiClick(TObject *Sender)

{

/*set the cancel key*/
LEADScr1->CaptureCancelKey = VK_ESCAPE;
/*set the delay, the interval, and the number ) { captures to perform*/
LEADScr1->CaptureDelay = 2000;
LEADScr1->CaptureInterval = 2000;
LEADScr1->CaptureCount = 3;
/*capture*/
LEADScr1->CaptureActiveClient();

}

4.

Code the DisplayClick procedure as follows:

void __fastcall TForm1::DisplayClick(TObject *Sender)

{

LEAD1->Load ("D:\\Temp\\Multi.tif", 0, 1, 1);
LEAD2->Load("D:\\Temp\\Multi.tif", 0, 2, 1);
LEAD3->Load("D:\\Temp\\Multi.tif", 0, 3, 1);
/*remove the tif file so you can capture and display again without having to restart the program*/
DeleteFile("D:\\Temp\\Multi.tif");

}

5.

Code the OnCaptureImage procedure as follows:

void __fastcall TForm1::LEADScr1CaptureImage(TObject *Sender,

int nCurrentPageNumber)

{

/*copy the captured image to the Main control and save it*/
LEAD1->Bitmap = LEADScr1->Bitmap;
LEAD1->Save ("D:\\Temp\\Multi.tif", FILE_TIF, 0, 2, SAVE_APPEND);

}

6.

Run your program to test it. Click on Capture Multi, press F11, and then select the window(s) you wish to capture, at the proper times. You may want to decrease the capture interval in the code. To view the images you captured, click on the Display command button after capturing has ended.


Miscellaneous Examples (Builder 3.0)

You can test the following examples by either adding a command button to one of the previous lessons in the tutorial and pasting the sample code in the Click procedure, or by cutting and pasting event code into the appropriate event in a lesson.

CaptureActiveClient Example for Builder 3.0

CaptureActiveWindow Example for Builder 3.0

CaptureArea Example for Builder 3.0

CaptureAreaOptionDlg Example for Builder 3.0

CaptureEXE Example for Builder 3.0

CaptureEXEDlg Example for Builder 3.0

CaptureFullScreen Example for Builder 3.0

CaptureGetResourceCount Example for Builder 3.0

CaptureHotKey Example for Builder 3.0

CaptureMenuUnderCursor Example for Builder 3.0

CaptureMouseCursor Example for Builder 3.0

CaptureObjectOptionDlg Example for Builder 3.0

CaptureOptionDlg Example for Builder 3.0

CaptureSelectedObject Example for Builder 3.0

CaptureWallPaper Example for Builder 3.0

CaptureWindowUnderCursor Example for Builder 3.0

OnCaptureHotKeyPressed Example for Builder 3.0

OnCaptureImage Example for Builder 3.0

StartCapture Example for Builder 3.0


CaptureActiveClient Example for Builder 3.0

This is also the example for the CaptureCursorIndex property.

/*set Capture cursor*/
/*and include it in captured image*/
LEADScr1->CaptureDelay = 3000;
LEADScr1->CaptureCursor = crArrow;
LEADScr1->CaptureAreaIncludeCursor = true;

/*capture the client area ) { the active window*/
LEADScr1->CaptureActiveClient();

/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;


CaptureActiveWindow Example for Builder 3.0

This is also the example for the CaptureCancelKey property, CaptureDelay property, CaptureCount property, CaptureInterval property, CaptureInfohWnd property, .

/*set status cursor*/
LEADScr1->CaptureStatusCursor = crHourGlass;

/*set cancel key to ESC*/
LEADScr1->CaptureCancelKey = VK_ESCAPE;

LEADScr1->CaptureDelay = 1000; /*wait 5 secs before starting*/
LEADScr1->CaptureInterval = 1000; /*capture every second*/
LEADScr1->CaptureCount = 25; /*capture 25 images*/

/*start the captures*/
LEADScr1->CaptureActiveWindow();

/*display the results*/
Edit1->Text = IntToStr((int)LEADScr1->CaptureInfohWnd);


CaptureArea Example for Builder 3.0

This is also the example for the ScaleMode property, CaptureAreaDrawCursorIndex property, CaptureAreaFillPattern property, CaptureAreaDrawLineStyle property, CaptureAreaDrawEllipseWidth property, CaptureAreaDrawEllipseHeight property, CaptureAreaInfoLeft property, CaptureAreaInfoTop property, CaptureAreaInfoHeight property, CaptureAreaInfoWidth property, CaptureAreaShowDrawCursor property, CaptureAreaIncludeCursor property, CaptureAreaEnableKeyboard property, CaptureAreaShowOpaqueText property, CaptureAreaShowCursorPosition property, CaptureAreaShowAreaSize property, CaptureAreaShowInfoWindow property, CaptureAreaSensitiveInfoWindow property, CaptureAreaBitmapWithRegion property, CaptureAreaZoomFactor property, CaptureAreaFillForeColor property, CaptureAreaFillPattern property, CaptureAreaFillBackColor property, CaptureAreaDrawLineColor property, CaptureAreaTextForeColor property, and CaptureAreaTextBackColor property.

/*show area info window*/
LEADScr1->CaptureAreaShowInfoWindow = true;
/*show area size during capture*/
LEADScr1->CaptureAreaShowAreaSize = true;
/*enable sensitive area info window*/
LEADScr1->CaptureAreaSensitiveInfoWindow = true;

/*set zoom factor*/
LEADScr1->CaptureAreaZoomFactor = 3;
/*position capture area info window*/
LEADScr1->CaptureAreaInfoTop = 100;
LEADScr1->CaptureAreaInfoLeft = 100;
/*size the capture area info window*/
LEADScr1->CaptureAreaInfoWidth = 100;
LEADScr1->CaptureAreaInfoHeight = 200;

/*set colors*/
LEADScr1->CaptureAreaDrawLineColor = clBlack;
LEADScr1->CaptureAreaTextForeColor = clBlue;
LEADScr1->CaptureAreaTextBackColor = clBlack;
/*capture with a region*/
LEADScr1->CaptureAreaBitmapWithRegion = true;

/*show cursor position with opaque background*/
LEADScr1->CaptureAreaShowCursorPosition = true;
LEADScr1->CaptureAreaShowOpaqueText = true;

/*disable keyboard*/
LEADScr1->CaptureAreaEnableKeyboard = false;

/* ! include cursor in captured image*/
LEADScr1->CaptureAreaIncludeCursor = false;

/*setup the background*/
LEADScr1->CaptureAreaFillBackColor = clRed;
LEADScr1->CaptureAreaFillForeColor = clBlue;

LEADScr1->CaptureAreaFillPattern = bsDiagCross;
/*capture a round rect*/
LEADScr1->CaptureAreaDrawLineStyle = psDashDot;

LEADScr1->CaptureAreaDrawEllipseHeight = 5;
LEADScr1->CaptureAreaDrawEllipseWidth = 5;

/*show cursor while drawing*/
LEADScr1->CaptureAreaUseCrossLinesCursor = false;
LEADScr1->CaptureAreaDrawCursor = crArrow;
LEADScr1->CaptureAreaShowDrawCursor = true;

/* the capture*/
LEADScr1->CaptureArea(CAPTURE_AREA_ROUNDRECT);

/*copy the image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;


CaptureAreaOptionDlg Example for Builder 3.0

This is also the example for the CaptureInfoTop, CaptureInfoLeft, CaptureInfoWidth, and CaptureInfoHeight properties.

void __fastcall TForm1::Button3Click(TObject *Sender)
{
/*set options*/
LEADScr1->CaptureAreaOptionDlg(this, 0);
/* a capture using these options*/
LEADScr1->CaptureArea(LEADScr1->CaptureAreaType);

/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;

/*display the capture result info*/
Edit1->Text = IntToStr( (LEADScr1->CaptureInfoTop));
Edit2->Text = IntToStr( (LEADScr1->CaptureInfoLeft));
Edit3->Text = IntToStr( (LEADScr1->CaptureInfoWidth));
Edit4->Text = IntToStr( (LEADScr1->CaptureInfoHeight));

/*reset area options*/
LEADScr1->ResetAreaOptions();
}


CaptureEXE Example for Builder 3.0

LEADScr1->TransparentColor = clWhite;
LEAD1->TransparentColor = clWhite;

LEAD1->UseTransparentColor = true;

/*capture by string resource id*/
LEADScr1->CaptureEXE("c:\\windows\\calc.exe", CAPTURE_ICON, "sc", false, false);
LEAD1->Bitmap = LEADScr1->Bitmap;
ShowMessage("Wait");

/*now, capture by numeric resource id*/
LEADScr1->CaptureEXE("c:\\windows\\defrag.exe", CAPTURE_ICON, "111", true, false);
LEAD1->Bitmap = LEADScr1->Bitmap;
ShowMessage("Wait");

/*finally, capture by resource index*/
LEADScr1->CaptureEXE("c:\\windows\\calc.exe", CAPTURE_ICON, "0", true, true);
LEAD1->Bitmap = LEADScr1->Bitmap;
ShowMessage("Wait");


CaptureEXEDlg Example for Builder 3.0

This is also the example for the CaptureInfoResType, CaptureInfoResIndex, CaptureInfoResID, and CaptureInfoExeName properties.

void __fastcall TForm1::Button4Click(TObject *Sender)
{
/*display CaptureExe Dialog*/
LEADScr1->CaptureEXEDlg(this, "c:\\windows\\calc.exe", CAPTURE_ALL, CAPTURE_DLG_TREEVIEW, 0);

/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;

/*display results*/
Edit1->Text = IntToStr(LEADScr1->CaptureInfoResType);
Edit2->Text = IntToStr(LEADScr1->CaptureInfoResIndex);
Edit3->Text = LEADScr1->CaptureInfoResourceID;
Edit4->Text = LEADScr1->CaptureInfoExeName;
}


CaptureFullScreen Example for Builder 3.0

This is the example for the Bitmap property.

/*set a 3 sec delay*/
LEADScr1->CaptureDelay = 3000;
/*capture the entire screen*/
LEADScr1->CaptureFullScreen();
/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;


CaptureGetResourceCount Example for Builder 3.0

{

int nCount = 0;
/*are there any icons in the file?*/
LEADScr1->CaptureGetResourceCount("c:\\windows\\calc.exe", CAPTURE_ICON, nCount);
if ( (nCount < 1) )
ShowMessage("No Icons!");

else

ShowMessage("Number of Icons = " + IntToStr(nCount));

}


CaptureHotKey Example for Builder 3.0

This is also the example for the CaptureHotKeyModifiers property.

LEADScr1->CaptureCount = 1;
/*set hotkey to + F12*/
LEADScr1->CaptureHotKey = VK_F12; /*F12*/
LEADScr1->CaptureHotKeyModifiers = CAPTURE_MOD_CONTROL;
LEADScr1->CaptureArea(CAPTURE_AREA_RECT);
/*copy the captured image to a Main Control*/

LEAD1->Bitmap = LEADScr1->Bitmap;


CaptureMenuUnderCursor Example for Builder 3.0

/*set a 5 sec delay*/
LEADScr1->CaptureDelay = 5000;
/*capture a menu*/
LEADScr1->CaptureMenuUnderCursor();
/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;


CaptureMouseCursor Example for Builder 3.0

/*capture current mouse cursor*/
LEADScr1->CaptureMouseCursor();
/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;


CaptureObjectOptionDlg Example for Builder 3.0

/*display the capture selected object dialog*/
LEADScr1->CaptureObjectOptionDlg(this, 0);


CaptureOptionDlg Example for Builder 3.0

void __fastcall TForm1::Button2Click(TObject *Sender)
{
L_INT nRet;

//disable errors to check for cancel
LEADScr1->EnableMethodErrors= false;
LEADScr1->ShowHelpButton= true;
//display capture option dialog
nRet= LEADScr1->CaptureOptionDlg( this, 0 );
if ( nRet != SUCCESS )
{
if ( nRet != ERROR_USER_ABORT )
ShowMessage ( "Error setting options!" );
}
}

void __fastcall TForm1::LEADScr1ScreenDlgHelp(DWORD uDialogID, int nCtlID)
{
// set your code here
}


CaptureSelectedObject Example for Builder 3.0

This is also the example for the CaptureObjectSelectCursorIndex, CaptureObjectInvert, CaptureObjectEnableKeyboard, CaptureObjectBorderWidth properties.

/*set cursor*/
LEADScr1->CaptureObjectSelectCursor = crArrow;

/*disable invert colors*/
LEADScr1->CaptureObjectInvert = false;

/*disable keyboard*/
LEADScr1->CaptureObjectEnableKeyboard = false;

/*set object border width*/
LEADScr1->CaptureObjectBorderWidth = 3;

/* the capture*/
LEADScr1->CaptureSelectedObject();

/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;

/*reset options*/
LEADScr1->ResetObjectOptions();


CaptureWallPaper Example for Builder 3.0

/*capture the wallpaper*/
LEADScr1->CaptureWallPaper();
/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;


CaptureWindowUnderCursor Example for Builder 3.0

/*set 3 sec delay*/
LEADScr1->CaptureDelay = 3000;

/*capture window under cursor*/
LEADScr1->CaptureWindowUnderCursor();

/*copy the captured image to a Main Control*/
LEAD1->Bitmap = LEADScr1->Bitmap;


OnCaptureHotKeyPressed Example for Builder 3.0

void __fastcall TForm1:: LEADScr1CaptureHotKeyPressed (TObject *Sender,

int nHotKeyType)

{

int ret;

bool bRet ;
ret = MessageDlg(" you want to capture?", mtConfirmation, TMsgDlgButtons() << mbYes << mbNo, 0);
if ( (ret == mrNo) )
{
bRet = LEADScr1->IsCaptureActive();
if ( (bRet) )
/*cancel the capture*/
LEADScr1->StopCapture();
}
}


OnCaptureImage Example for Builder 3.0

void __fastcall TForm1::LEADScr1CaptureImage(TObject *Sender,

int nCurrentPageNumber)

{

/*copy the captured image to a Main Control and save it*/
LEAD1->Bitmap = LEADScr1->Bitmap;
LEAD1->Save("d:\\temp\\test.tif", FILE_TIF, 0, 2, SAVE_APPEND);
}


StartCapture Example for Builder 3.0

/*capture the client area of the active window*/
LEADScr1->CaptureActiveClient();

/*start capture process */
LEADScr1->StartCapture();


Tutorial for Delphi 4.0 Programmers

The following topics provide brief and simple examples to help you learn how to use the LEADTOOLS Screen Capture properties, methods, and events.

Note:

These tutorial examples are not intended to demonstrate good Delphi program design. Instead, they are intended to be easy to understand and easy to test. The example programs in the EXAMPLES subdirectory are more representative of good design.

Capturing an Active Window

Capturing an Area

Capturing an Icon from an EXE

Capturing a Selected Object

Capturing Multiple Images

Miscellaneous Examples


Capturing an Active Window (Delphi 4.0)

Take the following steps to start a project and to add some code that captures the active window.

1. | Start Delphi 4.0.
2. | In the File menu, choose New Application.
3. | On the Delphi toolbar, click the VCL tab. If you have used a LEAD VCL control before, the icon appears on the toolbar. Otherwise, refer to Installing VCL before continuing with this tutorial.
4. | Select the LEAD Main Control on the VCL toolbar and add it to the form. Size and position the control as you want it to appear at run time. Change the Name to LEAD1.
5. | Select the LEAD Screen Capture Control on the VCL toolbar and add it to the form. Change the Name to LEADScr1.
6. | Add a command button and name it as follows:
 | Name | Caption
 | CapWin | Capture Window
7. | Code the CapWinClick procedure as follows:

procedure TForm1.CapWinClick(Sender: TObject);
begin
LeadScr1.CaptureHotKey := VK_F11;
LeadScr1.CaptureDelay := 2000;
LeadScr1.CaptureActiveWindow();
Lead1.Bitmap := LeadScr1.Bitmap;
end;

8.

Code the main form's FormClose procedure as follows:

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
LeadScr1.StopCapture();
end;

9. | Run your program to test it. Click the Capture Window command button, select the window to capture, and press F11.
10. | Save the project to use as a starting point for other tasks in the tutorial.


Capturing an Area (Delphi 4.0)

Take the following steps to add code that will let you capture a triangular area.

1. | Start with the project that you created in Capturing an Active Window (Delphi).
2. | Add a command button and name it as follows:
 | Name | Caption
 | CapArea | Capture Area
3. | Code the CapAreaClick procedure as follows:

procedure TForm1.CapAreaClick(Sender: TObject);
begin

{set up the info window}
LEADScr1.CaptureAreaShowInfoWindow := True;
LEADScr1.CaptureAreaInfoTop := 0;
LEADScr1.CaptureAreaInfoLeft := 0;
LEADScr1.CaptureAreaInfoHeight := 300;
LEADScr1.CaptureAreaInfoWidth := 300;

{show area size and cursor information on an opaque background}
LEADScr1.CaptureAreaShowAreaSize := True;
LEADScr1.CaptureAreaShowCursorPosition := True;
LEADScr1.CaptureAreaShowOpaqueText := True;

{set text colors, fill colors, fill pattern, and line style}
LEADScr1.CaptureAreaDrawLineColor := clBlack;
LEADScr1.CaptureAreaTextBackColor := clBlue;
LEADScr1.CaptureAreaTextForeColor := clWhite;
LEADScr1.CaptureAreaFillBackColor := clRed;
LEADScr1.CaptureAreaFillForeColor :=clBlue;
LEADScr1.CaptureAreaFillPattern := bsCross; LEADScr1.CaptureAreaDrawLineStyle := psDash;

{do not include the cursor in the image}
LEADScr1.CaptureAreaIncludeCursor := False;

{do not enable the keyboard}
LEADScr1.CaptureAreaEnableKeyboard := False;

{save a bitmap with a region}
LEADScr1.CaptureAreaBitmapWithRegion := True;

{make the info window sensitive to the position of the cursor}
LEADScr1.CaptureAreaSensitiveInfoWindow := True;

{zoom the image in the info window}
LEADScr1.CaptureAreaZoomFactor := 2;
{use the cross lines cursor instead of the CaptureAreaDrawCursorIndex}
LEADScr1.CaptureAreaUseCrossLinesCursor := True;
LEADScr1.CaptureAreaShowDrawCursor := True;

{capture a triangular area}
LEADScr1.CaptureArea (CAPTURE_AREA_TRIANGLE);

{assign the Screen Capture Control bitmap to the Main Control bitmap}
LEAD1.Bitmap := LEADScr1.Bitmap;

end;

4.

Run your program to test it. Click the Capture Area control button, press F11, and click and drag to select the area to capture.


Capturing an Icon from an EXE (Delphi 4.0)

Take the following steps to add code that will let you capture icons from EXEs.

1. | Start with the project that you created in Capturing an Active Window (Delphi).
2. | Select the LEAD Main Control on the VCL toolbar and add it to the form. Size and position the control as you want it to appear at run time. Change the Name to LEAD2.
3. | Select the LEAD Main Control on the VCL toolbar and add it to the form. Size and position the control as you want it to appear at run time. Change the Name to LEAD3.
4. | Add a command button and name it as follows:
 | Name | Caption
 | CapEXE | Capture EXE
5. | Code the CapEXEClick procedure as follows:

procedure TForm1.CapEXEClick(Sender: TObject);
var
nCount : Integer;
begin
nCount := 0;

LEADScr1.CaptureGetResourceCount ('c:\windows\calc.exe', CAPTURE_ICON, nCount);
if (nCount < 1) then
ShowMessage ('No Icons.');

if (nCount >= 1) then
begin
LEADScr1.TransparentColor := clWhite;
LEAD1.TransparentColor
 := clWhite;
LEAD1.UseTransparentColor
  := True;
{capture by string resource id}
{Please note that the exe and id may not be the same on your system.}
{Be sure to replace this with a valid exe name and id for your system. }
LEADScr1.CaptureEXE ('c:\windows\calc.exe', CAPTURE_ICON, 'sc', False, False);
LEAD1.Bitmap  := LEADScr1.Bitmap;
ShowMessage ('Wait');
end;

nCount := 0;
LEADScr1.CaptureGetResourceCount ('c:\windows\defrag.exe', CAPTURE_ICON, nCount);
if (nCount < 1) then
ShowMessage ('No Icons.');

if (nCount >= 1) then
begin
LEADScr1.TransparentColor := clWhite;
LEAD2.TransparentColor
 := clWhite;
LEAD2.UseTransparentColor
 := True;
{now, capture by numeric resource id}
{Please note that the exe and id may not be the same on your system.}
{Be sure to replace this with a valid exe name and id for your system. }
LEADScr1.CaptureEXE ('c:\windows\defrag.exe', CAPTURE_ICON, '111', True, False);
LEAD2.Bitmap := LEADScr1.Bitmap;
ShowMessage ('wait');
end;
nCount := 0;
LEADScr1.CaptureGetResourceCount ('c:\windows\Charmap.exe', CAPTURE_ICON, nCount);
if (nCount < 1) then
ShowMessage ('No Icons.');

if (nCount >= 1) then
begin
LEADScr1.TransparentColor := clWhite;
LEAD3.TransparentColor
 := clWhite;
LEAD3.UseTransparentColor
 := True;
{finally, capture by resource index}
{Please note that the exe and id may not be the same on your system.}
{Be sure to replace this with a valid exe name and id for your system. }
LEADScr1.CaptureEXE ('c:\windows\Charmap.exe', CAPTURE_ICON, '0', True, True);
LEAD3.Bitmap := LEADScr1.Bitmap;
ShowMessage ('wait');
end;

end;

6.

Run your program to test it.


Capturing a Selected Object (Delphi 4.0)

Take the following steps to add code that will let you capture a selected object.

1. | Start with the project that you created in Capturing an Active Window (Delphi).
2. | Add a command button and name it as follows:
 | Name | Caption
 | CapSelect | Capture Selected

3.

Code the CapSelectClick procedure as follows:

procedure TForm1.CapSelectClick(Sender: TObject);
begin
{display the capture selected object dialog}
LEADScr1.CaptureObjectOptionDlg(Self);
{capture the selected object}
LEADScr1.CaptureSelectedObject();
{assign the screen control bitmap to the Main control bitmap}
LEAD1.Bitmap
 := LEADScr1.Bitmap;
{reset the object options}
LEADScr1.ResetObjectOptions();
end;

4.

Run your program to test it. Click the Capture Select button. Set the options and click OK. Select the window containing the object you want to capture. Press F11. Move the cursor over the object you wish to capture and click the left mouse button.


Capturing Multiple Images (Delphi 4.0)

Take the following steps to add code that will let you capture multiple images.

1. | Start with the project that you created in Capturing an Icon from an EXE (Delphi).
2. | Add two command buttons and name them as follows:
 | Name | Caption
 | CapMulti | Capture Multi
 | Display | Display Multi
3. | Code the CapMultiClick procedure as follows:

procedure TForm1.CapMultiClick(Sender: TObject);
begin
{set the cancel key}
LEADScr1.CaptureCancelKey := VK_ESCAPE;
{set the delay, the interval, and the number of captures to perform}
LEADScr1.CaptureDelay := 2000;
LEADScr1.CaptureInterval := 2000;
LEADScr1.CaptureCount := 3;
{capture}
LEADScr1.CaptureActiveClient();
end;

4.

Code the DisplayClick procedure as follows:

procedure TForm1.DisplayClick(Sender: TObject);
begin
LEAD1.Load ('D:\Temp\Multi.tif', 0, 1, 1);
LEAD2.Load('D:\Temp\Multi.tif', 0, 2, 1);
LEAD3.Load('D:\Temp\Multi.tif', 0, 3, 1);
{remove the tif file so you can capture and display again without having to restart the program}
DeleteFile('D:\Temp\Multi.tif');
end;

5.

Code the OnCaptureImage procedure as follows:

procedure TForm1.LEADScr1CaptureImage(Sender: TObject;

nCurrentPageNumber: Integer);
begin
{copy the captured image to the Main control and save it}
LEAD1.Bitmap := LEADScr1.Bitmap;
LEAD1.Save ('D:\Temp\Multi.tif', FILE_TIF, 0, 2, SAVE_APPEND);
end;

6.

Run your program to test it. Click on Capture Multi, press F11, and then select the window(s) you wish to capture, at the proper times. You may want to decrease the capture interval in the code. To view the images you captured, click on the Display command button after capturing has ended.


Miscellaneous Examples (Delphi 4.0)

You can test the following examples by either adding a command button to one of the previous lessons in the tutorial and pasting the sample code in the Click procedure, or by cutting and pasting event code into the appropriate event in a lesson.

CaptureActiveClient Example for Delphi 4.0

CaptureActiveWindow Example for Delphi 4.0

CaptureArea Example for Delphi 4.0

CaptureAreaOptionDlg Example for Delphi 4.0

CaptureEXE Example for Delphi 4.0

CaptureEXEDlg Example for Delphi 4.0

CaptureFullScreen Example for Delphi 4.0

CaptureGetResourceCount Example for Delphi 4.0

CaptureHotKey Example for Delphi 4.0

CaptureMenuUnderCursor Example for Delphi 4.0

CaptureMouseCursor Example for Delphi 4.0

CaptureObjectOptionDlg Example for Delphi 4.0

CaptureOptionDlg Example for Delphi 4.0

CaptureSelectedObject Example for Delphi 4.0

CaptureWallPaper Example for Delphi 4.0

CaptureWindowUnderCursor Example for Delphi 4.0

OnCaptureHotKeyPressed Example for Delphi 4.0

OnCaptureImage Example for Delphi 4.0

StartCapture Example for Delphi 4.0


CaptureActiveClient Example for Delphi 4.0

This is also the example for the CaptureCursorIndex property.

{set Capture cursor}
{and include it in captured image}
LEADScr1.CaptureDelay := 3000;
LEADScr1.CaptureCursor := crArrow;
LEADScr1.CaptureAreaIncludeCursor := True;

{capture the client area of the active window}
LEADScr1.CaptureActiveClient();

{copy the captured image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;


CaptureActiveWindow Example for Delphi 4.0

This is also the example for the CaptureCancelKey property, CaptureDelay property, CaptureCount property, CaptureInterval property, CaptureInfohWnd property, .

{set status cursor}
LEADScr1.CaptureStatusCursor := crHourGlass;

{set cancel key to ESC}
LEADScr1.CaptureCancelKey := VK_ESCAPE;

LEADScr1.CaptureDelay := 1000; {wait 5 secs before starting}
LEADScr1.CaptureInterval := 1000; {capture every second}
LEADScr1.CaptureCount := 25; {capture 25 images}

{start the captures}
LEADScr1.CaptureActiveWindow();

{display the results}
Edit1.Text := IntToStr(LEADScr1.CaptureInfohWnd);


CaptureArea Example for Delphi 4.0

This is also the example for the ScaleMode property, CaptureAreaDrawCursorIndex property, CaptureAreaFillPattern property, CaptureAreaDrawLineStyle property, CaptureAreaDrawEllipseWidth property, CaptureAreaDrawEllipseHeight property, CaptureAreaInfoLeft property, CaptureAreaInfoTop property, CaptureAreaInfoHeight property, CaptureAreaInfoWidth property, CaptureAreaShowDrawCursor property, CaptureAreaIncludeCursor property, CaptureAreaEnableKeyboard property, CaptureAreaShowOpaqueText property, CaptureAreaShowCursorPosition property, CaptureAreaShowAreaSize property, CaptureAreaShowInfoWindow property, CaptureAreaSensitiveInfoWindow property, CaptureAreaBitmapWithRegion property, CaptureAreaZoomFactor property, CaptureAreaFillForeColor property, CaptureAreaFillPattern property, CaptureAreaFillBackColor property, CaptureAreaDrawLineColor property, CaptureAreaTextForeColor property, and CaptureAreaTextBackColor property.

{show area info window}
LEADScr1.CaptureAreaShowInfoWindow := True;
{show area size during capture}
LEADScr1.CaptureAreaShowAreaSize := True;
{enable sensitive area info window}
LEADScr1.CaptureAreaSensitiveInfoWindow := True;

{set zoom factor}
LEADScr1.CaptureAreaZoomFactor := 3;
{position capture area info window}
LEADScr1.CaptureAreaInfoTop := 100;
LEADScr1.CaptureAreaInfoLeft := 100;
{size the capture area info window}
LEADScr1.CaptureAreaInfoWidth := 100;
LEADScr1.CaptureAreaInfoHeight := 200;

{set colors}
LEADScr1.CaptureAreaDrawLineColor := clBlack;
LEADScr1.CaptureAreaTextForeColor := clBlue;
LEADScr1.CaptureAreaTextBackColor := clBlack;
{capture with a region}
LEADScr1.CaptureAreaBitmapWithRegion := True;

{show cursor position with opaque background}
LEADScr1.CaptureAreaShowCursorPosition := True;
LEADScr1.CaptureAreaShowOpaqueText := True;

{disable keyboard}
LEADScr1.CaptureAreaEnableKeyboard := False;

{do not include cursor in captured image}
LEADScr1.CaptureAreaIncludeCursor := False;

{setup the background}
LEADScr1.CaptureAreaFillBackColor := clRed;
LEADScr1.CaptureAreaFillForeColor := clBlue;

LEADScr1.CaptureAreaFillPattern := bsDiagCross;
{capture a round rect}
LEADScr1.CaptureAreaDrawLineStyle := psDashDot;

LEADScr1.CaptureAreaDrawEllipseHeight := 5;
LEADScr1.CaptureAreaDrawEllipseWidth := 5;

{show cursor while drawing}
LEADScr1.CaptureAreaUseCrossLinesCursor := False;
LEADScr1.CaptureAreaDrawCursor := crArrow;
LEADScr1.CaptureAreaShowDrawCursor := True;

{do the capture}
LEADScr1.CaptureArea(CAPTURE_AREA_ROUNDRECT);

{copy the image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;


CaptureAreaOptionDlg Example for Delphi 4.0

This is also the example for the CaptureInfoTop, CaptureInfoLeft, CaptureInfoWidth, and CaptureInfoHeight properties.

procedure TForm1.Button3Click(Sender: TObject);
begin
{set options}
LEADScr1.CaptureAreaOptionDlg( Self, 0 );
{do a capture using these options}
LEADScr1.CaptureArea(LEADScr1.CaptureAreaType);

{copy the captured image to a Main Control}
LEADImage1.Bitmap
  := LEADScr1.Bitmap;

{display the capture result info}
Edit1.Text:= IntToStr( Round(LEADScr1.CaptureInfoTop) );
Edit2.Text:= IntToStr( Round(LEADScr1.CaptureInfoLeft) );
Edit3.Text:= IntToStr( Round(LEADScr1.CaptureInfoWidth) );
Edit4.Text:= IntToStr( Round(LEADScr1.CaptureInfoHeight) );

{reset area options}
LEADScr1.ResetAreaOptions( );
end;


CaptureEXE Example for Delphi 4.0

LEADScr1.TransparentColor := clWhite;
LEAD1.TransparentColor := clWhite;

LEAD1.UseTransparentColor := True;

{capture by string resource id}
LEADScr1.CaptureEXE('c:\windows\calc.exe', CAPTURE_ICON, 'sc', False, False);
LEAD1.Bitmap := LEADScr1.Bitmap;
ShowMessage('Wait');

{now, capture by numeric resource id}
LEADScr1.CaptureEXE('c:\windows\defrag.exe', CAPTURE_ICON, '111', True, False);
LEAD1.Bitmap := LEADScr1.Bitmap;
ShowMessage('Wait');

{finally, capture by resource index}
LEADScr1.CaptureEXE('c:\windows\calc.exe', CAPTURE_ICON, '0', True, True);
LEAD1.Bitmap := LEADScr1.Bitmap;
ShowMessage('Wait');


CaptureEXEDlg Example for Delphi 4.0

This is also the example for the CaptureInfoResType, CaptureInfoResIndex, CaptureInfoResID, and CaptureInfoExeName properties.

procedure TForm1.Button4Click(Sender: TObject);
begin
{display CaptureExe Dialog}
LEADScr1.CaptureEXEDlg(Self, 'c:\windows\calc.exe', CAPTURE_ALL, CAPTURE_DLG_TREEVIEW, 0);

{copy the captured image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;

{display results}
Edit1.Text := IntToStr(LEADScr1.CaptureInfoResType);
Edit2.Text := IntToStr(LEADScr1.CaptureInfoResIndex);
Edit3.Text := LEADScr1.CaptureInfoResourceId;
Edit4.Text := LEADScr1.CaptureInfoExeName;
end;


CaptureFullScreen Example for Delphi 4.0

This is the example for the Bitmap property.

{set a 3 sec delay}
LEADScr1.CaptureDelay := 3000;
{capture the entire screen}
LEADScr1.CaptureFullScreen();
{copy the captured image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;


CaptureGetResourceCount Example for Delphi 4.0

var
nCount : Integer;
begin
nCount := 0;
{are there any icons in the file?}
LEADScr1.CaptureGetResourceCount('c:\windows\calc.exe', CAPTURE_ICON, nCount);
If (nCount < 1) Then
ShowMessage('No Icons!')

else

ShowMessage('Number of Icons = ' + IntToStr(nCount));

end;


CaptureHotKey Example for Delphi 4.0

This is also the example for the CaptureHotKeyModifiers property.

LEADScr1.CaptureCount := 1;
{set hotkey to + F12}
LEADScr1.CaptureHotKey := VK_F12; {F12}
LEADScr1.CaptureHotKeyModifiers := CAPTURE_MOD_CONTROL;
LEADScr1.CaptureArea(CAPTURE_AREA_RECT);
{copy the captured image to a Main Control}

LEAD1.Bitmap := LEADScr1.Bitmap;


CaptureMenuUnderCursor Example for Delphi 4.0

{set a 5 sec delay}
LEADScr1.CaptureDelay := 5000;
{capture a menu}
LEADScr1.CaptureMenuUnderCursor();
{copy the captured image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;


CaptureMouseCursor Example for Delphi 4.0

{capture current mouse cursor}
LEADScr1.CaptureMouseCursor();
{copy the captured image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;


CaptureObjectOptionDlg Example for Delphi 4.0

{display the capture selected object dialog}
LEADScr1.CaptureObjectOptionDlg(Self, 0);


CaptureOptionDlg Example for Delphi 4.0

procedure TForm1.Button2Click(Sender: TObject);
var
nRet: L_INT;
begin
//disable errors to check for cancel
LEADScr1.EnableMethodErrors:= False;
LEADScr1.ShowHelpButton:= True;
//display capture option dialog
nRet:= LEADScr1.CaptureOptionDlg( Self, 0 );
if ( nRet <> SUCCESS ) then
begin
if ( nRet <> ERROR_USER_ABORT ) then
ShowMessage ( 'Error setting options!' );
end;
end;

procedure TForm1.LEADScr1ScreenDlgHelp(uDialogID: Cardinal; nCtlID: Integer);
begin
// set your code here
end;


CaptureSelectedObject Example for Delphi 4.0

This is also the example for the CaptureObjectSelectCursorIndex, CaptureObjectInvert, CaptureObjectEnableKeyboard, CaptureObjectBorderWidth properties.

{set cursor}
LEADScr1.CaptureObjectSelectCursor := crArrow;

{disable invert colors}
LEADScr1.CaptureObjectInvert := False;

{disable keyboard}
LEADScr1.CaptureObjectEnableKeyboard := False;

{set object border width}
LEADScr1.CaptureObjectBorderWidth := 3;

{do the capture}
LEADScr1.CaptureSelectedObject();

{copy the captured image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;

{reset options}
LEADScr1.ResetObjectOptions();


CaptureWallPaper Example for Delphi 4.0

{capture the wallpaper}
LEADScr1.CaptureWallPaper();
{copy the captured image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;


CaptureWindowUnderCursor Example for Delphi 4.0

{set 3 sec delay}
LEADScr1.CaptureDelay := 3000;

{capture window under cursor}
LEADScr1.CaptureWindowUnderCursor();

{copy the captured image to a Main Control}
LEAD1.Bitmap := LEADScr1.Bitmap;


OnCaptureHotKeyPressed Example for Delphi 4.0

procedure TForm1.LEADScr1CaptureHotKeyPressed (Sender: TObject;

nHotKeyType: Integer);

var
ret : Word;
bRet : boolean;
begin
ret := MessageDlg('Do you want to capture?', mtConfirmation, [mbYes, mbNo], 0);
if (ret = mrNo) then
begin
bRet := LEADScr1.IsCaptureActive();
If (bRet) Then
{cancel the capture}
LEADScr1.StopCapture();
end;
end;


OnCaptureImage Example for Delphi 4.0

procedure TForm1.LEADScr1CaptureImage(Sender: TObject;

nCurrentPageNumber: Integer);

begin

{copy the captured image to a Main Control and save it}
LEAD1.Bitmap := LEADScr1.Bitmap;
LEAD1.Save('d:\temp\test.tif', FILE_TIF, 0, 2, SAVE_APPEND);
end;


StartCapture Example for Delphi 4.0

{capture the client area of the active window}
LEADScr1.CaptureActiveClient();

{start capture process }
LEADScr1.StartCapture();


Technical Support

As a registered user, free technical support is available. You must register your software to receive any technical support. Technical support is available 9 a.m. through 6 p.m. Eastern Standard Time. If you are calling by phone, please be at your computer. You can also contact us through the following methods:

Phone: | (704) 372-9681
E-mail: | support@leadtools.com
FAX: | (704) 372-8161
Home page: | http://www.leadtools.com
FTP: | ftp.leadtools.com

You can also contact LEAD by mail at:

LEAD Technologies, Inc.
Attn: Technical Support
1201 Greenwood Cliff, Suite 400
Charlotte, NC 28204

Before calling technical support, please look in the online documentation and the example programs for an answer to your question.


Screen Capture Properties, methods, and events

Screen Capture properties

Screen Capture methods

Screen Capture events


Screen Capture methods

Capturing images

CaptureActiveClient method

CaptureActiveWindow method

CaptureArea method

CaptureEXE method

CaptureEXEDlg method

CaptureFullScreen method

CaptureMenuUnderCursor method

CaptureMouseCursor method

CaptureSelectedObject method

CaptureWallPaper method

CaptureWindowUnderCursor method

StopCapture method

IsCaptureActive method

StartCapture method

Getting and Setting Options

CaptureAreaOptionDlg method

CaptureGetResourceCount method

CaptureObjectOptionDlg method

CaptureOptionDlg method

ResetAreaOptions method

ResetObjectOptions method


Screen Capture Properties

Capture information properties:

CaptureInfoHeight property

CaptureInfohWnd property

CaptureInfoLeft property

CaptureInfoTop property

CaptureInfoWidth property

CaptureInfoResIndex property

CaptureInfoResourceId property

CaptureInfoResType property

CaptureInfoExeName property

Hot Key properties:

CaptureHotKey property

CaptureHotKeyModifiers property

Capture Object properties:

CaptureObjectBorderWidth property

CaptureObjectEnableKeyboard property

CaptureObjectInvert property

CaptureObjectSelectCursor property

Multi-capture properties:

CaptureCount property

CaptureInterval property

Capture Area properties:

CaptureAreaBitmapWithRegion property

CaptureAreaDrawCursor property

CaptureAreaDrawEllipseHeight property

CaptureAreaDrawEllipseWidth property

CaptureAreaDrawLineColor property

CaptureAreaDrawLineStyle property

CaptureAreaEnableKeyboard property

CaptureAreaFillBackColor property

CaptureAreaFillForeColor property

CaptureAreaFillPattern property

CaptureAreaIncludeCursor property

CaptureAreaInfoHeight property

CaptureAreaInfoLeft property

CaptureAreaInfoTop property

CaptureAreaInfoWidth property

CaptureAreaSensitiveInfoWindow property

CaptureAreaShowAreaSize property

CaptureAreaShowCursorPosition property

CaptureAreaShowDrawCursor property

CaptureAreaShowInfoWindow property

CaptureAreaShowOpaqueText property

CaptureAreaTextBackColor property

CaptureAreaTextForeColor property

CaptureAreaUseCrossLinesCursor property

CaptureAreaZoomFactor property

Miscellaneous properties:

Bitmap property

CaptureCancelKey property

CaptureCursor property

CaptureDelay property

CaptureStatusCursor property

EnableMethodErrors property

ShowHelpButton property

TransparentColor property


Screen Capture events

OnCaptureHotKeyPressed event

OnCaptureImage event

OnScreenDlgHelp event


Error Codes

For a list of all possible error codes for LEADTOOLS Screen Capture VCL, refer to LEADTOOLS VCL Error Codes in the Main VCL help file.


Bitmap property

Bitmap property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Ltvcltyp::TBitmapHandle Bitmap
Delphi Syntax | Bitmap : TBitmapHandle
Overview | Refer to Implementing Screen Capture

Remarks

A general property used by a number of methods, it is the handle to a LEAD bitmap. When assigning from the Main Bitmap property to this property, a reference to the source bitmap is created. A copy is NOT made. To remove the reference, assign a value of 0. If you assign from this property to a Main Control, a copy of the image will be made in the target Main Control. Note that the RefBitmap property in the Main control should be set to False before assigning from this property to Main Control.

See Also

Elements:

CaptureActiveClient method, CaptureActiveWindow method, CaptureArea method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureEXE method, CaptureEXEDlg method


CaptureActiveClient method

CaptureActiveClient method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int __fastcall CaptureActiveClient(void);
Delphi Syntax | function CaptureActiveClient: Integer;
Overview | Refer to Implementing Screen Capture

Remarks

Captures the currently active window's client area to the control's bitmap. Capture is performed using the hot key. By default, the hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureActiveWindow method, CaptureArea method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, CaptureEXE method, CaptureEXEDlg method, Bitmap, OnCaptureImage event


CaptureActiveWindow method

CaptureActiveWindow method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int __fastcall CaptureActiveWindow(void);
Delphi Syntax | function CaptureActiveWindow: Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Captures the currently active window to the control's bitmap. Capture is performed using the hot key. By default, the hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureActiveClient method, CaptureArea method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, CaptureEXE method, CaptureEXEDlg method, Bitmap, OnCaptureImage event


CaptureAreaBitmapWithRegion property

CaptureAreaBitmapWithRegion property (Screen control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaBitmapWithRegion
Delphi Syntax | CaptureAreaBitmapWithRegion: Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether the captured bitmap will contain a region selected by the user. Possible values are:

Setting | Description
TRUE | Bitmap will contain a region.
FALSE | Bitmap will not contain a region.

See Also

Elements: | CaptureArea method
Topics: | Screen Capture properties


CaptureAreaDrawCursor property

CaptureAreaDrawCursor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Controls::TCursor CaptureAreaDrawCursor
Delphi Syntax | CaptureAreaDrawCursor : TCursor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the value that indicates the type of mouse pointer used when drawing during CaptureArea.

For more information about TCursor see Delphi/Builder Documentation.


CaptureAreaDrawEllipseHeight property

CaptureAreaDrawEllipseHeight property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureAreaDrawEllipseHeight
Delphi Syntax | CaptureAreaDrawEllipseHeight: Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the height of the ellipse used to draw a rounded rectangle during CaptureArea.

See Also

Elements:

CaptureAreaDrawEllipseWidth property, CaptureArea method.


CaptureAreaDrawEllipseWidth property

CaptureAreaDrawEllipseWidth property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureAreaDrawEllipsWidth
Delphi Syntax | CaptureAreaDrawEllipsWidth : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the width of the ellipse used to draw a rounded rectangle during CaptureArea.

See Also

Elements:

CaptureAreaDrawEllipseHeight property, CaptureArea method


CaptureAreaDrawLineColor property

CaptureAreaDrawLineColor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Graphics::TColor CaptureAreaDrawLineColor
Delphi Syntax | CaptureAreaDrawLineColor : TColor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the color of the line used for drawing during CaptureArea.

See Also

Elements:

CaptureAreaDrawLineStyle property, CaptureArea method


CaptureAreaDrawLineStyle property

CaptureAreaDrawLineStyle property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Graphics::TPenStyle CaptureAreaDrawLineStyle
Delphi Syntax | CaptureAreaDrawLineStyle : TPenStyle
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the style of the line used for drawing during CaptureArea. Possible values are:

Setting | Meaning
psSolid | {__________}
psDash | {----------}
psDot | {..........}
psDashDot | {-.-.-.-.-.}
psDashDotDot | {-..-..-..-}

For more information about TPenStyle see Delphi/Builder Documentation.

See Also

Elements:

CaptureAreaDrawLineColor property, CaptureArea method


CaptureAreaEnableKeyboard property

CaptureAreaEnableKeyboard property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaEnableKeyboard
Delphi Syntax | CaptureAreaEnableKeyboard : Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether the keyboard is enabled during capture, allowing the use of the Shift, Control, +, and - keys. If this property is set to TRUE, these keys perform the following functions:

Key | Use
(+/-) | Zooming In/Out in the info window
(Ctrl) | If Area is Rect, RoundRect, or Ellipse, pressing CTRL will center the drawing
(Shift) | If Area is Rect, RoundRect, or Ellipse, pressing SHIFT will draw regular shapes (that is Ellipse becomes a circle , Rectangle becomes a Square, etc.)

Possible values for this property are:

Setting | Description
TRUE | Enable keyboard during capture.
FALSE | Disable keyboard during capture.


CaptureAreaFillBackColor property

CaptureAreaFillBackColor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Graphics::TColor CaptureAreaFillBackColor
Delphi Syntax | CaptureAreaFillBackColor : TColor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the background color for the CaptureAreaFillPattern.

See Also

Elements:

CaptureAreaFillForeColor property, CaptureAreaFillPattern property, CaptureArea method


CaptureAreaFillForeColor property

CaptureAreaFillForeColor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Graphics::TColor CaptureAreaFillForeColor
Delphi Syntax | CaptureAreaFillForeColor: TColor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the foreground color for the CaptureAreaFillPattern.

See Also

Elements:

CaptureAreaFillBackColor property, CaptureAreaFillPattern property, CaptureArea method


CaptureAreaFillPattern property

CaptureAreaFillPattern property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Graphics::TBrushStyle CaptureAreaFillPattern
Delphi Syntax | CaptureAreaFillPattern: TBrushStyle
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the pattern used to fill the outside of the captured area. Possible values are:

bsSolid | bsCross
bsDiagCross | bsBDiagonal
bsHorizontal | bsFDiagonal
bsVertical |

For more information about TBrushStyle see Delphi/Builder Documentation.

See Also

Elements:

CaptureAreaFillBackColor property, CaptureAreaFillForeColor property, CaptureArea method


CaptureAreaIncludeCursor property

CaptureAreaIncludeCursor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaIncludeCursor
Delphi Syntax | CaptureAreaIncludeCursor: Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to place the cursor on the captured image. The cursor is set using the CaptureCursor property. Possible values are:

Setting | Description
TRUE | Place the cursor on the captured image.
FALSE | Do not place the cursor on the captured image.

See Also

Elements:

CaptureCursor property


CaptureAreaInfoHeight property

CaptureAreaInfoHeight property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureAreaInfoHeight
Delphi Syntax | CaptureAreaInfoHeight : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the height of the information window.

Possible values are:

Setting | Description
CAPTURE_AREA_INFOWND_SIZE_TINY | [-1] Smallest Height
CAPTURE_AREA_INFOWND_SIZE_SMALL | [-2] Small Height
CAPTURE_AREA_INFOWND_SIZE_MEDIUM | [-3] Medium Height
CAPTURE_AREA_INFOWND_SIZE_LARGE | [-4] Large Height
CAPTURE_AREA_INFOWND_SIZE_XLARGE | [-5] Largest Height

In addition, any other positive value specified by the user to define custom height for the info window may be used.

See Also

Elements:

CaptureAreaInfoTop property, CaptureAreaInfoLeft property, CaptureAreaInfoWidth property, CaptureArea method, CaptureAreaShowInfoWindow property


CaptureAreaInfoLeft property

CaptureAreaInfoLeft property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureAreaInfoLeft
Delphi Syntax | CaptureAreaInfoLeft : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the left position of the information window.

Possible values are:

Setting | Description
CAPTURE_AREA_INFOWND_POS_LEFT | [-1] Left Position
CAPTURE_AREA_INFOWND_POS_RIGHT | [-2] Right Position

In addition, any other positive value specified by the user to define the left position for the Info Window may be used.

See Also

Elements:

CaptureAreaInfoTop property, CaptureAreaInfoHeight property, CaptureAreaInfoWidth property


CaptureAreaInfoTop property

CaptureAreaInfoTop property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureAreaInfoTop
Delphi Syntax | CaptureAreaInfoTop : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the top position of the information window.

Possible values are:

Setting | Description
CAPTURE_AREA_INFOWND_POS_TOP | [-3] Top Position
CAPTURE_AREA_INFOWND_POS_BOTTOM | [-4] Bottom Position

In addition, any other positive value specified by the user to define the top position for the Info Window may be used.

See Also

Elements:

CaptureAreaInfoLeft property, CaptureAreaInfoHeight property, CaptureAreaInfoWidth property


CaptureAreaInfoWidth property

CaptureAreaInfoWidth property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureAreaInfoWidth
Delphi Syntax | CaptureAreaInfoWidth: Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the width of the information window.

Setting | Description
CAPTURE_AREA_INFOWND_SIZE_TINY | [-1] Smallest Width
CAPTURE_AREA_INFOWND_SIZE_SMALL | [-2] Small Width
CAPTURE_AREA_INFOWND_SIZE_MEDIUM | [-3] Medium Width
CAPTURE_AREA_INFOWND_SIZE_LARGE | [-4] Large Width
CAPTURE_AREA_INFOWND_SIZE_XLARGE | [-5] Largest Width

In addition, any other positive value specified by the user to define custom width for the info window may be used.

See Also

Elements:

CaptureAreaInfoTop property, CaptureAreaInfoHeight property, CaptureAreaInfoLeft property


CaptureArea method

CaptureArea method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int __fastcall CaptureArea(int nAreaType);
Delphi Syntax | function CaptureArea (nAreaType: Integer): Integer;
Overview | Refer to Implementing Screen Capture

Remarks

Captures the specified type of area from the full screen. Any area outside the region will be filled according to the values set in the CaptureAreaFillPattern, CaptureAreaFillForeColor, and CaptureAreaFillBackColor properties.

If the CaptureAreaBitmapWithRegion property is set to TRUE, the captured bitmap will contain a region of the specified shape.

Capture is performed using the hot key. By default, the hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, CaptureEXE method, CaptureEXEDlg method, CaptureAreaShowAreaSize property, CaptureAreaShowInfoWindow property, CaptureAreaSensitiveInfoWindow property, CaptureAreaInfoLeft property, CaptureAreaInfoTop property, CaptureAreaInfoWidth property, CaptureAreaIncludeCursor property, CaptureAreaDrawCursor property, CaptureAreaZoomFactor property, Bitmap, OnCaptureImage event


CaptureAreaOptionDlg method

CaptureAreaOptionDlg method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int CaptureAreaOptionDlg(TWinControl* ParentWin, L_UINT uFlags);
Delphi Syntax | function CaptureAreaOptionDlg (ParentWin : TWinControl; uFlags: L_UINT): L_INT;
Overview | Refer to Implementing Screen Capture.

Remarks

Brings up the Capture Area Option dialog box for setting the capture area options. The capture area option properties are: CaptureAreaFillPattern, CaptureAreaFillForeColor, CaptureAreaFillBackColor, CaptureAreaDrawLineStyle, CaptureAreaDrawLineColor, CaptureAreaDrawEllipseWidth, CaptureAreaDrawEllipseHeight, CaptureAreaDrawCursor, CaptureAreaTextForeColor, CaptureAreaTextBackColor, CaptureAreaInfoLeft, CaptureAreaInfoTop, CaptureAreaInfoWidth, CaptureAreaInfoHeight, CaptureAreaShowDrawCursor, CaptureAreaIncludeCursor, CaptureAreaEnableKeyboard, CaptureAreaShowOpaqueText, CaptureAreaShowCursorPosition, CaptureAreaShowAreaSize, CaptureAreaShowInfoWindow, CaptureAreaSensitiveInfoWindow, CaptureAreaBitmapWithRegion, and CaptureAreaZoomFactor.

See Also

Elements:

CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, CaptureEXE method, CaptureEXEDlg method, Bitmap, OnCaptureImage event


CaptureAreaSensitiveInfoWindow property

CaptureAreaSensitiveInfoWindow property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaSensitiveInfoWindow
Delphi Syntax | CaptureAreaSensitiveInfoWindow : Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether sensitive detection for the information window is enabled. If the information window is sensitive, it will jump to a new location when the cursor approaches it. Possible values for this property are:

Setting | Description
TRUE | Sensitive detection is enabled.
FALSE | Sensitive detection is disabled.

See Also

Elements:

CaptureArea method, CaptureAreaShowInfoWindow property


CaptureAreaShowAreaSize property

CaptureAreaShowAreaSize property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaShowAreaSize
Delphi Syntax | CaptureAreaShowAreaSize : Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to display the captured area size. Possible values are:

Setting | Description
TRUE | Display the captured area size.
FALSE | Do not display the captured area size.

See Also

Elements:

CaptureAreaShowCursorPosition property, CaptureAreaShowInfoWindow property, CaptureAreaShowOpaqueText property, CaptureAreaTextBackColor property, CaptureAreaTextForeColor property, CaptureArea method


CaptureAreaShowCursorPosition property

CaptureAreaShowCursorPosition property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaShowCursorPosition
Delphi Syntax | CaptureAreaShowCursorPosition : Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to display the cursor position. Possible values are:

Setting | Description
TRUE | Display the cursor position.
FALSE | Do not display the cursor position.

See Also

Elements:

CaptureAreaShowAreaSize property, CaptureAreaShowInfoWindow property, CaptureAreaShowOpaqueText property, CaptureAreaTextBackColor property, CaptureAreaTextForeColor property, CaptureArea method


CaptureAreaShowDrawCursor property

CaptureAreaShowDrawCursor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaShowDrawCursor
Delphi Syntax | CaptureAreaShowDrawCursor : Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to display the cursor during drawing. Set the desired cursor using the CaptureCursor property. Possible values are:

Setting | Description
TRUE | Display the cursor during capture.
FALSE | Do not display the cursor during capture.

See Also

Elements:

CaptureCursor property, CaptureArea method


CaptureAreaShowInfoWindow property

CaptureAreaShowInfoWindow property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaShowInfoWindow
Delphi Syntax | CaptureAreaShowInfoWindow: Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to display the information window. Possible values are:

Setting | Description
TRUE | Display the information window.
FALSE | Do not display the information window.

See Also

Elements:

CaptureArea method, CaptureInfoHeight property, CaptureInfohWnd property, CaptureInfoLeft property, CaptureInfoTop property, CaptureInfoWidth property, CaptureInfoResIndex property, CaptureInfoResourceId property, CaptureInfoResType property, CaptureInfoExeName property


CaptureAreaShowOpaqueText property

CaptureAreaShowOpaqueText property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaShowOpaqueText
Delphi Syntax | CaptureAreaShowOpaqueText: Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to display the cursor position and area size on an opaque background. Possible values are:

Setting | Description
TRUE | Use an opaque background when displaying the cursor position and area size.
FALSE | Use a transparent background when displaying the cursor position and area size.

See Also

Elements:

CaptureAreaTextBackColor property, CaptureAreaShowAreaSize property, CaptureAreaShowCursorPosition property, CaptureAreaTextForeColor property, CaptureArea method


CaptureAreaTextBackColor property

CaptureAreaTextBackColor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Graphics::TColor CaptureAreaTextBackColor
Delphi Syntax | CaptureAreaTextBackColor : TColor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the background color to use when displaying the cursor position and area size.

See Also

Elements:

CaptureAreaShowAreaSize property, CaptureAreaShowCursorPosition property, CaptureAreaShowOpaqueText property, CaptureAreaTextForeColor property, CaptureArea method


CaptureAreaTextForeColor property

CaptureAreaTextForeColor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Graphics::TColor CaptureAreaTextForeColor
Delphi Syntax | CaptureAreaTextForeColor : TColor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the foreground color to use when displaying the cursor position and area size.

See Also

Elements:

CaptureAreaShowAreaSize property, CaptureAreaShowCursorPosition property, CaptureAreaShowOpaqueText property, CaptureAreaTextBackColor property, CaptureArea method


CaptureAreaType property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureAreaType
Delphi Syntax | CaptureAreaType : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only, not available at design-time) Indicates the user's choice for type of Area to capture from the dialog displayed by the CaptureAreaOptionDlg method. Possible values are:

Setting | Description
CAPTURE_AREA_TRIANGLE | [0x01] Triangle type
CAPTURE_AREA_RECT | [0x02] Rectangle type
CAPTURE_AREA_ROUNDRECT | [0x03] Rounded rectangle type
CAPTURE_AREA_ELLIPSE | [0x04] Ellipse type
CAPTURE_AREA_POLYGON | [0x05] Polygon type
CAPTURE_AREA_FREEHAND | [0x06] Freehand type

See Also

Elements:

CaptureArea method


CaptureAreaUseCrossLinesCursor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureAreaUseCrossLinesCursor
Delphi Syntax | CaptureAreaUseCrossLinesCursor : Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether the CaptureArea method will use cross lines instead of the cursor specified in CaptureAreaDrawCursor. If CaptureAreaUseCrossLinesCursor is set to TRUE, the cross lines will be used instead of a cursor. If it is set to FALSE, the cursor specified by CaptureAreaDrawCursor will be used.

See Also

Elements:

CaptureArea method


CaptureAreaZoomFactor property

CaptureAreaZoomFactor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureAreaZoomFactor
Delphi Syntax | CaptureAreaZoomFactor: Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the zoom factor for the information window. Possible values are for 1 to 15 where 1 is for image not zoomed , 15 is for image zoomed 15 Times.

See Also

Elements:

CaptureArea method


CaptureCancelKey property

CaptureCancelKey property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Menus::TShortCut CaptureCancelKey
Delphi Syntax | CaptureCancelKey : TShortCut
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the key used to cancel the capture operation.

See Also

Elements:

StopCapture method, IsCaptureActive method


CaptureCount property

CaptureCount property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureCount
Delphi Syntax | CaptureCount : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the number of times to perform capture.

See Also

Elements:

OnCaptureImage event, CaptureInterval property


CaptureCursor property

CaptureCursor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Controls::TCursor CaptureCursor
Delphi Syntax | CaptureCursor : TCursor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the cursor to use during capture. This cursor will be placed on the image if the CaptureAreaIncludeCursor property is set to TRUE.

For more information about TCursor see Delphi/Builder Documentation.

See Also

Elements:

CaptureAreaIncludeCursor property


CaptureDelay property

CaptureDelay property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureDelay
Delphi Syntax | CaptureDelay : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the number of milliseconds to wait before capturing.

See Also

Elements:

CaptureInterval property, CaptureCount property, OnCaptureImage event


CaptureEXE method

CaptureEXE method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int __fastcall CaptureEXE(System::AnsiString pFileName, int iResType, char * pResourceID, bool bIsNumberResourceID, bool bCaptureByIndex);
Delphi Syntax | function CaptureEXE (pFileName: String; iResType: Integer; pResourceID: pChar; bIsNumberResourceID: Boolean; bCaptureByIndex: Boolean): Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Captures the resource identified by pResourceID and iResType from the specified executable file.

If you want to pass a string ID in pResourceID, then set bIsNumberResourceID to FALSE and set bCaptureByIndex to FALSE.

If you want to pass a numeric ID in pResourceID, then set bIsNumberResourceID to TRUE and set bCaptureByIndex to FALSE.

If you want to pass an index in pResourceID, then set bIsNumberResourceID to TRUE and set bCaptureByIndex to TRUE.

This method does not require the use of the hot key for capture.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


CaptureEXEDlg method

CaptureEXEDlg method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureEXEDlg(TWinControl* ParentWin, AnsiString strFileName, int iResourceType, int iDialogType, L_UINT uFlags);
Delphi Syntax | function CaptureEXEDlg (ParentWin: TWinControl; strFileName: String; iResourceType: L_INT; iDialogType: L_INT; uFlags: L_UINT): L_INT;
Overview | Refer to Implementing Screen Capture.

Remarks

Brings up a dialog box for getting resource information and then captures the specified resource from an EXE or DLL.

This method does not require the use of the hot key for capture.

See Also

Elements:

CaptureEXE method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


CaptureFullScreen method

CaptureFullScreen method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int __fastcall CaptureFullScreen(void);
Delphi Syntax | function CaptureFullScreen: Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Captures the full screen to the control's bitmap. Capture is performed using the hot key. By default, the hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureEXE method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


CaptureGetResourceCount method

CaptureGetResourceCount method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall CaptureGetResourceCount(System::AnsiString strFileName, int iResType, int & iCount);
Delphi Syntax | function CaptureGetResourceCount (strFileName: string; iResType: Integer; var iCount: integer): Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Updates a variable with the number of resources of the specified type in the specified file.

See Also

Elements:

CaptureEXE method, CaptureEXEDlg method, Bitmap, OnCaptureImage event


CaptureHotKey property

CaptureHotKey property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Menus::TShortCut CaptureHotKey
Delphi Syntax | CaptureHotKey : TShortCut
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the key code for the hot key. The default hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureHotKeyModifiers property


CaptureHotKeyModifiers property

CaptureHotKeyModifiers property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureHotKeyModifiers
Delphi Syntax | CaptureHotKeyModifiers : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the modifier keys used with the CaptureHotKey. Possible values are listed below. These values may be combined.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

Setting | Description
CAPTURE_MOD_ALT | [0x0001] Alt key
CAPTURE_MOD_CONTROL | [0x0002] Control key
CAPTURE_MOD_SHIFT | [0x0004] Shift key

See Also

Elements:

CaptureHotKey property, OnCaptureHotKeyPressed event


CaptureInfoExeName property

CaptureInfoExeName property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | System::AnsiString CaptureInfoExeName
Delphi Syntax | CaptureInfoExeName : string
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only) Gets the name of the EXE or DLL from which a resource was captured.

See Also

Elements:

CaptureEXE method, CaptureEXEDlg method


CaptureInfoHeight property

CaptureInfoHeight property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureInfoHeight
Delphi Syntax | CaptureInfoHeight : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only) Gets the height of the capture. The unit of measure is in pixels.

See Also

Elements:

CaptureInfoLeft property, CaptureInfoTop property, CaptureInfoWidth property


CaptureInfohWnd property

CaptureInfohWnd property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | HWND CaptureInfohWnd
Delphi Syntax | CaptureInfohWnd : HWND
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only) Gets the handle to the window that was captured. This property is set after a successful image capture.

See Also

Elements:

CaptureActiveWindow method, CaptureActiveClient method


CaptureInfoLeft property

CaptureInfoLeft property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureInfoLeft
Delphi Syntax | CaptureInfoLeft: Integer
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only) Gets the X coordinate of the origin of the capture. The coordinate is relative to the full screen. The unit of measure is in pixels.

See Also

Elements:

CaptureInfoHeight property, CaptureInfoTop property, CaptureInfoWidth property


CaptureInfoResIndex property

CaptureInfoResIndex property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureInfoResIndex
Delphi Syntax | CaptureInfoResIndex : LongInt
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only) Gets the index of the resource captured from an EXE or a DLL. Resource indexes start at 0.

See Also

Elements:

CaptureEXE method, CaptureEXEDlg method, CaptureInfoResType property, CaptureInfoResourceID property, CaptureInfoExeName property, CaptureInfohWnd property, CaptureInfoTop property, CaptureInfoLeft property, CaptureInfoWidth property, CaptureInfoHeight property


CaptureInfoResourceId property

CaptureInfoResourceID property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | System::AnsiString CaptureInfoResourceID
Delphi Syntax | CaptureInfoResourceID
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only) Gets the ID of the resource captured from an EXE or a DLL.

See Also

Elements:

CaptureEXE method, CaptureEXEDlg method, CaptureInfoResType property, CaptureInfoResIndex property, CaptureInfoExeName property, CaptureInfohWnd property, CaptureInfoTop property, CaptureInfoLeft property, CaptureInfoWidth property, CaptureInfoHeight property


CaptureInfoResType property

CaptureInfoResType property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureInfoResType
Delphi Syntax | CaptureInfoResType : LongInt
Overview | Refer to Implementing Screen Capture.

Remarks

Gets the type of resource captured from an EXE or a DLL. Possible values are:

Setting | Description
CAPTURE_ALL | [0x00] Capture all types of resources
CAPTURE_BITMAP | [0x01] Capture a bitmap resource
CAPTURE_ICON | [0x02] Capture an icon resource
CAPTURE_CURSOR | [0x04] Capture a cursor resource

See Also

Elements:

CaptureEXE method, CaptureEXEDlg method, CaptureInfoResIndex property, CaptureInfoResourceID property, CaptureInfoExeName property, CaptureInfohWnd property, CaptureInfoTop property, CaptureInfoLeft property, CaptureInfoWidth property, CaptureInfoHeight property


CaptureInfoTop property

CaptureInfoTop property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureInfoTop
Delphi Syntax | CaptureInfoTop : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only) Gets the Y coordinate of the origin of the capture. The coordinate is relative to the full screen. The unit of measure is in pixels.

See Also

Elements:

CaptureInfoHeight property, CaptureInfoLeft property, CaptureInfoWidth property


CaptureInfoWidth property

CaptureInfoWidth property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureInfoWidth
Delphi Syntax | CaptureInfoWidth: Integer
Overview | Refer to Implementing Screen Capture.

Remarks

(Read only) Gets the width of the capture. The unit of measure is in pixels.

See Also

Elements:

CaptureInfoHeight property, CaptureInfoLeft property, CaptureInfoLeft property


CaptureInterval property

CaptureInterval property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureInterval
Delphi Syntax | CaptureInterval : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the number of milliseconds between captures in a multi-capture operation.

See Also

Elements:

CaptureDelay property, CaptureCount property, OnCaptureImage event


CaptureMenuUnderCursor method

CaptureMenuUnderCursor method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall CaptureMenuUnderCursor(void);
Delphi Syntax | function CaptureMenuUnderCursor: Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Captures the menu under the cursor to the control's bitmap. Capture is performed using the hot key. By default, the hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureEXE method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


CaptureMouseCursor method

CaptureMouseCursor method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall CaptureMouseCursor(void);
Delphi Syntax | function CaptureMouseCursor : Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Captures the mouse cursor to the control's bitmap. Capture is performed using the hot key. By default, the hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureEXE method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


CaptureObjectBorderWidth property

CaptureObjectBorderWidth property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureObjectBorderWidth
Delphi Syntax | CaptureObjectBorderWidth : Integer
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the width of the border drawn around the selected object. This property is used only if the CaptureObjectInvert property is set to FALSE.

This property is always measured in pixels.

See Also

Elements:

CaptureObjectInvert property, CaptureObjectEnableKeyboard property, CaptureObjectSelectCursor property


CaptureObjectEnableKeyboard property

CaptureObjectEnableKeyboard property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureObjectEnableKeyboard
Delphi Syntax | CaptureObjectEnableKeyboard : Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to enable the keyboard during selection. If this property is set to TRUE, then pressing the Shift key will select the client area of the object. Possible values are:

Setting | Description
TRUE | Enable the keyboard.
FALSE | Disable the keyboard.

See Also

Elements:

CaptureObjectInvert property, CaptureObjectBorderWidth property, CaptureObjectSelectCursor property


CaptureObjectInvert property

CaptureObjectInvert property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool CaptureObjectInvert
Delphi Syntax | CaptureObjectInvert: Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to invert colors for the current selected objects. If this property is set to TRUE, the colors will be inverted when selected. If this property is set to FALSE, the colors are not inverted and the value of CaptureObjectBorderWidth property will be used to draw a border will be drawn around the selected objects.

See Also

Elements:

CaptureObjectEnableKeyboard property, CaptureObjectBorderWidth property, CaptureObjectSelectCursor property


CaptureObjectOptionDlg method

CaptureObjectOptionDlg method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int CaptureObjectOptionDlg(TWinControl* ParentWin, L_UINT uFlags);
Delphi Syntax | function CaptureObjectOptionDlg (ParentWin: TWinControl; uFlags: L_UINT): L_INT;
Overview | Refer to Implementing Screen Capture.

Remarks

Brings up the Capture Object Options dialog box for setting the capture object options. The capture object option properties are: CaptureObjectInvert, CaptureObjectEnableKeyboard, CaptureObjectBorderWidth, and CaptureObjectSelectCursor.

See Also

Elements:

CaptureSelectedObject method, Bitmap, OnCaptureImage event


CaptureObjectSelectCursor property

CaptureObjectSelectCursor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Controls::TCursor CaptureObjectSelectCursor
Delphi Syntax | CaptureObjectSelectCursor: TCursor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the cursor to use during the selection of objects.

For more information about TCursor see Delphi/Builder Documentation.


CaptureOptionDlg method

CaptureOptionDlg method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int CaptureOptionDlg(TWinControl* ParentWin, L_UINT uFlags);
Delphi Syntax | function CaptureOptionDlg (ParentWin: TWinControl; uFlags: L_UINT): Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Brings up the Capture Option dialog box for setting capture options. The Capture Option properties are: CaptureCursor, CaptureStatusCursor, CaptureHotKey, aptureHotKeyModifiers, CaptureCancelKey, CaptureDelay, CaptureCount, and CaptureInterval.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureEXE method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


CaptureSelectedObject method

CaptureSelectedObject method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall CaptureSelectedObject(void);
Delphi Syntax | function CaptureSelectedObject: Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Captures the currently selected window's object to the control's bitmap. Objects can be buttons, client areas, toolbars, controls, scrollbars, etc. Capture is performed using the hot key. By default, the hot key is F11. The object is then selected by clicking the left mouse button.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureEXE method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


CaptureStatusCursor property

CaptureStatusCursor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Controls::TCursor CaptureStatusCursor
Delphi Syntax | CaptureStatusCursor : TCursor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the cursor to use between multiple captures.

For more information about TCursor see Delphi/Builder Documentation.


CaptureWallPaper method

CaptureWallPaper method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall CaptureWallPaper(void);
Delphi Syntax | function CaptureWallPaper: Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Captures the current wallpaper image to the control's bitmap. Capture is performed using the hot key. By default, the hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureEXE, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


CaptureWindowUnderCursor method

CaptureWindowUnderCursor method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall CaptureWindowUnderCursor(void);
Delphi Syntax | function CaptureWindowUnderCursor : Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Captures the window under the cursor to the control's bitmap. Capture is performed using the hot key. By default, the hot key is F11.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureEXE method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, Bitmap, OnCaptureImage event


EnableMethodErrors property

EnableMethodErrors property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool EnableMethodErrors
Delphi Syntax | EnableMethodErrors : Boolean
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). If EnableMethodErrors is set to TRUE, the runtime exceptions will be generated. If it is set to FALSE, they will not be generated.


IsCaptureActive method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool __fastcall IsCaptureActive(void);
Delphi Syntax | function IsCaptureActive: Boolean;
Overview | Refer to Implementing Screen Capture.

Remarks

Indicates whether a capture operation has been started or not.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureHotKey property, OnCaptureHotKeyPressed event


OnCaptureHotKeyPressed event

OnCaptureHotKeyPressed event (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | void __fastcall CaptureHotKeyPressed(TObject *Sender, int nHotKeyType)
Delphi Syntax | procedure CaptureHotKeyPressed(Sender: TObject; nHotKeyType: Integer);
Overview | Refer to Implementing Screen Capture.

Remarks

Generated after the CaptureHotKey property is pressed.

You can use this event to initialize any variables or properties before beginning capture.

You can stop a multi capture operation by calling the StopCapture method.

See Also

Elements:

CaptureHotKey property, CaptureHotKeyModifiers property


OnCaptureImage event

OnCaptureImage event (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | void __fastcall LEADScr1CaptureImage(TObject *Sender, int nCurrentCaptureNo)
Delphi Syntax | procedure TForm1.LEADScr1CaptureImage(Sender: TObject; nCurrentCaptureNo: Integer);
Overview | Refer to Implementing Screen Capture.

Remarks

Generated after each image is captured, using any of the capture methods.

You can use this event to copy, display, save, or otherwise handle the images that are captured during a multi capture operation.

You can stop a multi capture operation by calling the StopCapture method.

See Also

Elements:

CaptureEXEDlg method, Bitmap property, CaptureActiveClient method, CaptureActiveWindow method, CaptureEXE method, CaptureMenuUnderCursor method, CaptureWindowUnderCursor method, CaptureWallPaper, CaptureSelectedObject method, CaptureMouseCursor method, CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, CaptureFullScreen method


OnScreenDlgHelp event (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | void OnScreenDlgHelp(unsigned uDialogID, int nCtlID);
Delphi Syntax | Procedure OnScreenDlgHelp(uDialogID: Cardinal; nCtlID: Integer);
Overview | Refer to Implementing Screen Capture.

Remarks

Occurs when the user clicks on the Help button on any dialog.

To enable a help button in a dialog, ShowHelpButton property must be set to TRUE.

See Also

Elements | CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, CaptureEXEDlg method, ShowHelpButton property
Topics: | Screen Capture events


ResetAreaOptions method

ResetAreaOptions method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall ResetAreaOptions(void);
Delphi Syntax | function ResetAreaOptions: Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Resets the area option properties to their default values. These properties are:

CaptureAreaFillPattern, CaptureAreaFillForeColor, CaptureAreaFillBackColor, CaptureAreaDrawLineStyle, CaptureAreaDrawLineColor, CaptureAreaDrawEllipseWidth, CaptureAreaDrawEllipseHeight, CaptureAreaDrawCursor, CaptureAreaTextForeColor, CaptureAreaTextBackColor, CaptureAreaInfoLeft, CaptureAreaInfoTop, CaptureAreaInfoWidth, CaptureAreaInfoHeight, CaptureAreaShowDrawCursor, CaptureAreaIncludeCursor, CaptureAreaEnableKeyboard, CaptureAreaShowOpaqueText, CaptureAreaShowCursorPosition, CaptureAreaShowAreaSize, CaptureAreaShowInfoWindow, CaptureAreaSensitiveInfoWindow, CaptureAreaBitmapWithRegion, and CaptureAreaZoomFactor.


ResetObjectOptions method

ResetObjectOptions method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall ResetObjectOptions(void);
Delphi Syntax | function ResetObjectOptions: Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Resets the object option properties to their defaults. These properties are: CaptureObjectInvert, CaptureObjectEnableKeyboard, CaptureObjectBorderWidth, and CaptureObjectSelectCursor.


ShowHelpButton property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | bool ShowHelpButton;
Delphi Syntax | ShowHelpButton: Boolean;
Overview | Refer to Implementing Screen Capture.

Remarks

Specifies whether to display the Help button in the dialogs. Possible values are:

Setting | Description
TRUE | Display the Help button in the dialogs.
FALSE | Do not display the Help button in the dialogs, and the OnScreenDlgHelpevent will not be available for the dialogs.

Used by Screen Capture Dialog methods.

See Also

Elements: | CaptureOptionDlg method, CaptureAreaOptionDlg method, CaptureObjectOptionDlg method, CaptureEXEDlg method, OnScreenDlgHelp event
Topics: | Screen Capture properties


StartCapture method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | int __fastcall StartCapture(void);
Delphi Syntax | function StartCapture(): Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

This method is used to activate the capture process instead of pressing the hot key.

See Also

Elements:

StopCapture method, IsCaptureActive method, CaptureActiveWindow method, CaptureActiveClient method, CaptureFullScreen method, CaptureMenuUnderCursor method, CaptureSelectedObject method, CaptureArea method, CaptureMouseCursor method, CaptureWallPaper method, CaptureWindowUnderCursor method.


StopCapture method

StopCapture method (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Int __fastcall StopCapture(void);
Delphi Syntax | function StopCapture : Integer;
Overview | Refer to Implementing Screen Capture.

Remarks

Stops the capture process.

Note: You must call StopCapture if a capture operation has been started (for example, waiting for a hot key to be pressed) before you allow your main window/application to terminate.

See Also

Elements:

CaptureHotKey property, OnCaptureHotKeyPressed event, IsCaptureActive method


TransparentColor property

TransparentColor property (Screen Control)

C++ Builder example

Delphi 4.0 Example

Builder Syntax | Graphics::TColor TransparentColors
Delphi Syntax | TransparentColor : TColor
Overview | Refer to Implementing Screen Capture.

Remarks

Gets or sets the color to use when filling the transparent area of a captured icon or cursor resource.

See Also

Elements:

CaptureEXE method, CaptureEXEDlg method


LEADTOOLS Documentation

LEADTOOLS Reference Manuals

LEADTOOLS provides reference manuals that contain the same information as the online help. You can print them from PDF files. Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.

To print the PDF files, you must use the Adobe Acrobat Reader 3.0 or higher. You can download a copy of the Acrobat Reader from the Adobe web site (http://www.adobe.com). Note that different versions of the Acrobat Reader are available for different operating systems, but they all can read the same PDF files.


Document/Medical Support and Licensing Requirements

Document/Medical Licensing and Royalty Agreements:

Congratulations! You have licensed one of the LEADTOOLS Document/Medical software products, the most comprehensive imaging toolkits on the market, enabling you to create powerful imaging applications. The license terms for LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite require runtime licensing based on the number of copies of your application that you deploy (i.e., distribute or install and use internally).

By paying the initial box price for the applicable LEADTOOLS product, you have obtained a development license, which entitles you to develop your application and test it. Once completed, if you wish to distribute the application or deploy it internally on multiple machines, you are required to enter into a duplication and distribution agreement with LEAD. You have the ability to choose from several licensing options depending on your volume needs.

The product you are installing is a fully functional working version and includes support for all features in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. (Depending on which product you have licensed, some of the features may ultimately not be available to you. See the on-line help file for a product feature comparison.) Until you sign and return the correct licensing agreement, your application will display a "nag" message. Once LEAD receives the executed contract, we will provide you a password that will permit you to terminate the "nag" message for the product that you have licensed. In addition to providing the password, you must also use the no nag version of the LTKRN14N.DLL, found in the REDIST\NONAGLTKRN directory. This is also the version you must redistribute.

Duplication and Distribution Agreements

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.


Raster Pro/Document/Medical Features

Raster Pro:

LEADTOOLS Raster Imaging Pro provides some imaging capabilities that are not available in the LEADTOOLS Raster Imaging product. In order to access these features, you must unlock them by calling UnlockSupport (L_SUPPORT_LTPRO, L_KEY_LTPRO). L_KEY_LTPRO can be found in ltkey.h.

If you are a licensed user of LEADTOOLS Raster Imaging, and would like to access Raster Imaging Pro features, you must contact Tech Support for information on obtaining a license and the unlock key for calling LSettings::UnlockSupport.

Document/Medical:

LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite are the most comprehensive imaging toolkits on the market. No other toolkit provides as many imaging features for color, gray-scale and black & white images in one development package, and for one price. These toolkits comprise LEAD's best code and are designed for the programmer who is looking for the fastest performance, and/or the most extensive color, document, and medical imaging capabilities available.

These toolkits contain powerful annotation capabilities and optimized document image processing filters, and high performance compression, decompression and viewing of JPEG, LEAD CMP, MRC and CCITT G3/G4. The annotation capabilities enable the programmer to add text, highlights, sticky notes, audio, ellipses, buttons, lines, arrows, rectangles, polygons, redaction (blackout), hotspots, freehand scribble, pointers, bitmap and text stamps, to black & white and color images. Programmers working with document imaging will also find special processing filters such as despeckle, deskew, favor black, and scale to gray to enhance their black and white 1 bit images. Additionally, you can achieve faster rotation in 90-degree increments by applying a rotated view perspective to the bitmap. These LEADTOOLS toolkits offer the fastest software-only JPEG decoder available.

LEADTOOLS Document Imaging

The LEADTOOLS Document Imaging toolkit contains all the features available in the LEADTOOLS Raster Imaging Pro. In addition, it contains the following capabilities:

Special functions for Document (bitonal) images. The LEADTOOLS functions for bitonal images are especially useful for working with images from black-and-white scanners or FAX machines. These functions let you do things such as automatically straighten (deskew) an image, remove spots (despeckle), or clarify a scaled display (using scale-to-gray and favor-black features).

Annotation. LEADTOOLS supports annotation of images by letting you overlay images with text, lines, shapes, arrows, buttons, highlights, hot spots, sticky notes, stamps, buttons, and sounds.

Fast rotation. LEADTOOLS achieves fast rotation in 90-degree increments by applying a rotated view perspective to the bitmap.

ISIS support. LEADTOOLS supports ISIS interfaces for driving scanning devices.

Faster compression and decompression. The Document/Medical editions work faster when loading and saving LEAD CMP, JPEG, and CCITT Group 3 and Group 4 images. The LEADTOOLS functions for loading and saving are the same in all products. The only difference is in performance.

1-bit Image Clean-up. The Document toolkits include support for removing dots, blobs, holes, inverted text, lines, borders, bumps and nicks from 1-bit images.

Region Clean-up. [Document/Medical] Remove all the holes from a region.

Embedded Messages. The Document toolkits include support for embedding messages in lossless image formats like bmp, tiff, lossless jpeg, etc. The message is embedded without any visible changes to the image, and does not appreciably increase the size of the image. The message is password-protected.

Image Conversion. The Document toolkits include support for transforming a bitmap into a binary image using specified thresholds or a threshold calculated automatically based on statistical features of the bitmap.

12 and 16 bit grayscale images. [Document/Medical] Load, process, display, window level and save 12 and 16 bit grayscale images (including support for 16-bit grayscale TIFF).

48 and 64 bit color images. [Document/Medical] Load, process, display, and save 48 and 64 bit color images.

MRC Support. [Document/Medical] LEADTOOLS supports the Mixed Raster Content format for color documents containing mixed image and text components. For more information, refer to the .

Halftoning. [Document/Medical] Convert 1-, 4-, 8-, 16-, 24-, or 32-bit bitmaps to a halftoned bitmap, with a specified pattern rotation. A halftoned bitmap is a 1-bit bitmap that has been dithered for black and white printing or display.

LEADTOOLS Document Imaging Suite

The LEADTOOLS Document Imaging Suite toolkit contains all the capabilities of LEADTOOLS Document Imaging, and includes the features listed below. Please note that the OCR features are included in this toolkit, however they can also be purchased as a plug-in for the LEADTOOLS Document Imaging toolkit. Also, JBIG support is provided in this toolkit, however a JBIG Module may be added on to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite.

OCR features. [Document/Medical] LEAD offers OCR features that use Scansoft Textbridge technology. Support for these features is included in the LEADTOOLS Document Imaging Suite, and can be added, via plug-in to the LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite toolkits. The OCR features allow you to perform optical character recognition and turn images into documents. Features include preset confidence and accuracy levels for controlling how sensitive the engine is to unrecognized text, artificial intelligence for improving recognition on documents of the same type, and built-in and user-defined lexicons for limiting the type of text to recognize within a particular zone. LEADTOOLS provides the ability to verify or correct text during, and (using LEAD's unique OCR editor) after recognition. LEAD's OCR editor ties the text being edited directly to the image, providing a visual reference to the original bitmap data. The OCR engine can perform Automatic area segmentation creating multi-layered zones, recognizing areas such as tables, rules, images and text. Or, you can manually designate up to 250 such zones. The OCR features support different fonts, sizes (5 to 72 point) and styles. Fax, dot matrix and halftones can be preprocessed to improve recognition results. The OCR Engine supports major European and Scandinavian languages (Danish, Dutch, Finnish, French, German, Italian, Norwegian, Portuguese, Russian, Spanish, and Swedish) as well as English. Support for dialects such as US. English, French Canadian, Latin American Spanish, Swiss German, and Brazilian Portuguese is also provided.

Recognized text can be exported to more than 40 different formats, including MS Word, MS Excel, Dbase andWordPerfect. The LEADTOOLS OCR features contain superior OCR processing speeds, for use in form recognition and processing applications.

LEAD's JBIG filter. [Document/Medical] LEAD includes support for this filter in the LEADTOOLS Document Imaging Suite toolkit. Support for this filter can be added to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite by purchasing the JBIG Module. JBIG defines a method for lossless compression encoding of a bi-level image (two-color image). This method can also be used for coding grayscale and color images. LEADTOOLS completely supports all three types of images, giving you the ability to make full use of this powerful compression technology. LEADTOOLS also supports the progressive capability of JBIG, allowing you to store and send multiple representations of images at different resolutions without any extra storage overhead.

LEADTOOLS Medical Imaging

LEADTOOLS Medical Imaging contains all the capabilities of LEADTOOLS Document Imaging. It also includes general medical imaging technologies (1-16,24,32 bit color, 1-16 bit grayscale and window leveling of 12 and 16-bit grayscale images) and support for the DICOM file format.

DICOM file support. [Medical] LEADTOOLS Medical Imaging provides COMPLETE support for the DICOM 3.0 specification, including all standard IOD classes and modalities (CR, CT, MR, NM, US, RF, SC, VL, etc.) and complete DICOM Basic Directory support.

Window leveling. [Document/Medical] Detect and set LowBit and HighBit for image data, display images with automatic LUT intensity expansion, or set LUT entries and ranges with specific values and gradients. Display images through the LUT without changing the data, or process the image data using the LUT. Linearize the number of pixels locally in a bitmap, based on the specified color space in order to bring out the detail in dark areas of an image, and smooth the edges between blocks.

Medical Imaging Processing. [Medical] LEADTOOLS Medical Imaging provides image processing functionality designed specifically to allow you to examine and improve the quality of medical images.

LEADTOOLS Medical Imaging Suite

LEADTOOLS Medical Imaging Suite contains all the capabilities of LEADTOOLS Medical Imaging. In addition, it supports the following:

DICOM Communication support. [Medical Suite] LEADTOOLS provides COMPLETE support for DICOM Communications, including all Service Classes (Verification, Storage, Query/Retrieve, Patient Management, etc), and contains high-level communications functions simplifying the creation of DICOM client/server applications.

(Document/Medical) is used in the documentation to designate the features that are available in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. Those features that are available only in the Medical toolkits are indicated in the documentation by (Medical). Features available only in the LEADTOOLS Medical Imaging Suite toolkit are indicated in the documentation by (Medical Suite).

(Internet only) is used in the documentation to designate the features that are available only in the LEADTOOLS Internet toolkit.

For more information, refer to Document/Medical Edition Support and Licensing Requirements.


Topic Selection

LEAD Technologies, Inc.
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

Sales@Leadtools.com
www.leadtools.com

(704) 332-5532
FAX: (704) 372-8161
Tech Support: (704) 372-9681

LEADTOOLS is ideal for developers involved in still frame, multimedia, document, medical, and vector imaging projects, including Internet/Intranet applications. Independent of the specific application requirement – scanning, file format support/conversion, compression, image processing, annotation, database support, multimedia, etc. – LEADTOOLS provides the most comprehensive, robust, flexible, and powerful imaging solution available.

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.

Click this button to start the Products help file to review the full line of LEADTOOLS Products.

Click this button to start the Imaging help file to review the full line of LEADTOOLS Image Categories.


Return for CaptureActiveClient

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for CaptureActiveWindow

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for CaptureArea

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


nAreaType Parameter For CaptureArea

nAreaType

Type of area to capture. Possible values are:

Setting | Description
CAPTURE_AREA_TRIANGLE | [0x01] Triangle type
CAPTURE_AREA_RECT | [0x02] Rectangle type
CAPTURE_AREA_ROUNDRECT | [0x03] Rounded rectangle type
CAPTURE_AREA_ELLIPSE | [0x04] Ellipse type
CAPTURE_AREA_POLYGON | [0x05] Polygon type
CAPTURE_AREA_FREEHAND | [0x06] Freehand type


Return for CaptureAreaOptionDlg

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


ParentWin Parameter For CaptureAreaOptionDlg

ParentWin

Dialog's parent window Control.


uFlags Parameter For CaptureAreaOptionDlg

uFlags

Flags that specify the method behavior. Possible values are:

Value | Meaning
0 | Ignore this flag. Pass this if you do not wish to use this flag.
SCRDLG_CAPTUREAREAOPTION_CONTEXTHELP | [0x0002] Show the context help button.


bCaptureByIndex Parameter For CaptureEXE

bCaptureByIndex

Specifies whether to capture by index.


bIsNumberResourceID Parameter For CaptureEXE

bIsNumberResourceID

Specifies whether the number is a resource ID


iDialogType Parameter For CaptureEXEDlg

iDialogType

Type of dialog to display. Possible values are:

Setting | Description
CAPTURE_DLG_TREEVIEW | Display tree dialog
CAPTURE_DLG_TABVIEW | Display tab view


Return for CaptureEXEDlg

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


iResourceType Parameter For CaptureEXEDlg

iResourceType

Type of resource. Possible values are:

Setting | Description
CAPTURE_ALL | [0x00] Capture all types of resources
CAPTURE_BITMAP | [0x01] Capture a bitmap resource
CAPTURE_ICON | [0x02] Capture an icon resource
CAPTURE_CURSOR | [0x04] Capture a cursor resource


ParentWin Parameter For CaptureEXEDlg

ParentWin

Window handle or the dialog's parent.


strFileName Parameter For CaptureEXEDlg

strFileName

Character string containing the file name.


uFlags Parameter For CaptureEXEDlg

uFlags

Flags that specify the method behavior. Possible values are:

Value | Meaning
0 | Ignore this flag. Pass this if you do not wish to use this flag.
SCRDLG_CAPTUREFROMEXE_CONTEXTHELP | [0x0008] Show the context help button.


Return for CaptureEXE

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


iResType Parameter For CaptureEXE

iResType

Type of resource to capture. Possible values are:

Setting | Description
CAPTURE_ALL | [0x00] Capture all types of resources
CAPTURE_BITMAP | [0x01] Capture a bitmap resource
CAPTURE_ICON | [0x02] Capture an icon resource
CAPTURE_CURSOR | [0x04] Capture a cursor resource


pFileName Parameter For CaptureEXE

pFileName

Character string containing the file name from which to capture.


pResourceID Parameter For CaptureEXE

pResourceID

This can be a string ID, a numeric resource ID, or an index.


Return for CaptureFullScreen

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


iCount Parameter For CaptureGetResourceCount

iCount

Pointer to a variable to be updated with the number of resources of type iResType in the file indicated by pszFileName.


Return for CaptureGetResourceCount

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


iResType Parameter For CaptureGetResourceCount

iResType

Type of resource to count. Possible values are:

Setting | Description
CAPTURE_ALL | [0x00] Capture all types of resources
CAPTURE_BITMAP | [0x01] Capture a bitmap resource
CAPTURE_ICON | [0x02] Capture an icon resource
CAPTURE_CURSOR | [0x04] Capture a cursor resource


strFileName Parameter For CaptureGetResourceCount

strFileName

Character string containing the file name.


nHotKeyType Parameter For CaptureHotKeyPressed

nHotKeyType

Type of hot key. Possible values are:

Setting | Description
CAPTURE_HOTKEY | [0x0000] Capture HotKey was pressed.


nCurrentCaptureNo Parameter For CaptureImage

nCurrentCaptureNo

The current capture count.


Return for CaptureMenuUnderCursor

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for CaptureMouseCursor

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for CaptureObjectOptionDlg

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


ParentWin Parameter For CaptureObjectOptionDlg

ParentWin

Window handle or the dialog's parent.


uFlags Parameter For CaptureObjectOptionDlg

uFlags

Flags that specify the method behavior. Possible values are:

Value | Meaning
0 | Ignore this flag. Pass this if you do not wish to use this flag.
SCRDLG_CAPTUREOBJECTOPTION_CONTEXTHELP | [0x0004] Show the context help button.


Return for CaptureOptionDlg

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


ParentWin Parameter For CaptureOptionDlg

ParentWin

Window handle or the dialog's parent.


uFlags Parameter For CaptureOptionDlg

uFlags

Flags that specify the method behavior. Possible values are:

Value | Meaning
0 | Ignore this flag. Pass this if you do not wish to use this flag.
SCRDLG_SETCAPTUREOPTION_CONTEXTHELP | [0x0001] Show the context help button.


Return for CaptureSelectedObject

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for CaptureWallPaper

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for CaptureWindowUnderCursor

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for IsCaptureActive

Return Value

TRUE | Capture is active.
FALSE | Capture is not active.


nCtlID Parameter For OnScreenDlgHelp

nCtlID

ID of the control that received the context sensitive help click. A value of –1 refers to the help button itself. For a list of other possible values, refer to the LTScrDef.inc file in the LEAD\Uses directory.


uDialogID Parameter For OnScreenDlgHelp

uDialogID

Flag that identifies the origin of the help command message. Possible values are:

Value | Meaning
SCRDLG_HELP_SETCAPTUREOPTION | [1] Help command message coming from the CaptureOptionDlg method.
SCRDLG_HELP_CAPTUREAREAOPTION | [2] Help command message coming from the CaptureAreaOptionDlg method.
SCRDLG_HELP_CAPTUREOBJECTOPTION | [3] Help command message coming from the CaptureObjectOptionDlg method.
SCRDLG_HELP_CAPTUREFROMEXE | [4] Help command message coming from the CaptureEXEDlg method.


Return for ResetAreaOptions

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for ResetObjectOptions

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for StartCapture

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.


Return for StopCapture

Return Value

SUCCESS | The function was successful.
< 0 | An error occurred. Refer to Error Codes.